Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas FAUVERGUE2015-09-30 08:35:17 +0000
committerGerrit Code Review @ Eclipse.org2015-11-12 17:19:38 +0000
commit3872578042f08eab624384324fdbda736af2d133 (patch)
treec836f7dd6f41e52cf93c7cdbb1afa2ebb6212f00
parenta5d718fd6840f9d141d06c111207a7f0a28b9f56 (diff)
downloadorg.eclipse.papyrus-3872578042f08eab624384324fdbda736af2d133.tar.gz
org.eclipse.papyrus-3872578042f08eab624384324fdbda736af2d133.tar.xz
org.eclipse.papyrus-3872578042f08eab624384324fdbda736af2d133.zip
Bug 473378: [Table] Update used nattable version
https://bugs.eclipse.org/bugs/show_bug.cgi?id=473378 Nattable From 1.2 to 1.3 Change-Id: Ia0ccc84fe440769fa2e92860868dd9fa76bfce93 Signed-off-by: Nicolas FAUVERGUE <nicolas.fauvergue@all4tec.net>
-rw-r--r--examples/uml/org.eclipse.papyrus.uml.textual.editors.example/META-INF/MANIFEST.MF22
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.emf.nattable/META-INF/MANIFEST.MF82
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.common/META-INF/MANIFEST.MF72
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.properties/META-INF/MANIFEST.MF70
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.config/META-INF/MANIFEST.MF72
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.editor/META-INF/MANIFEST.MF52
-rw-r--r--plugins/infra/nattable/org.eclipse.papyrus.infra.nattable/META-INF/MANIFEST.MF160
-rw-r--r--plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.config/META-INF/MANIFEST.MF50
-rw-r--r--plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.menu/META-INF/MANIFEST.MF62
-rw-r--r--plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement/META-INF/MANIFEST.MF50
-rw-r--r--plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable/META-INF/MANIFEST.MF62
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config/META-INF/MANIFEST.MF56
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.menu/META-INF/MANIFEST.MF64
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display/META-INF/MANIFEST.MF70
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF52
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.valuespecification/META-INF/MANIFEST.MF58
-rw-r--r--plugins/uml/nattable/org.eclipse.papyrus.uml.nattable/META-INF/MANIFEST.MF96
-rw-r--r--plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF140
-rw-r--r--releng/org.eclipse.papyrus.oomph/setups/papyrus.setup4
-rw-r--r--releng/pom.xml518
-rw-r--r--tests/junit/plugins/developer/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java1062
-rw-r--r--tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.tests/META-INF/MANIFEST.MF52
-rwxr-xr-xtests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.tests/META-INF/MANIFEST.MF72
-rwxr-xr-xtests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.tests/META-INF/MANIFEST.MF56
-rw-r--r--tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement.tests/META-INF/MANIFEST.MF88
-rw-r--r--tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config.tests/META-INF/MANIFEST.MF82
-rwxr-xr-xtests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.generic.tests/META-INF/MANIFEST.MF72
-rw-r--r--tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display.tests/META-INF/MANIFEST.MF72
28 files changed, 1683 insertions, 1685 deletions
diff --git a/examples/uml/org.eclipse.papyrus.uml.textual.editors.example/META-INF/MANIFEST.MF b/examples/uml/org.eclipse.papyrus.uml.textual.editors.example/META-INF/MANIFEST.MF
index 1916f303dd9..30fb0ff8329 100644
--- a/examples/uml/org.eclipse.papyrus.uml.textual.editors.example/META-INF/MANIFEST.MF
+++ b/examples/uml/org.eclipse.papyrus.uml.textual.editors.example/META-INF/MANIFEST.MF
@@ -7,21 +7,21 @@ Bundle-Activator: org.eclipse.papyrus.uml.textual.editors.example.Activator
Bundle-Vendor: %Bundle-Vendor
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.nattable;bundle-version="1.1.0",
- org.eclipse.papyrus.views.properties;bundle-version="1.1.0",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.1.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.1.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="1.1.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.views.properties;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,2.0.0)",
org.eclipse.gmf.runtime.common.core,
org.eclipse.gmf.runtime.common.ui.services,
org.eclipse.gmf.runtime.emf.core,
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.1.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.1.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
org.eclipse.xtext,
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.1.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.1.0",
- org.eclipse.papyrus.uml.nattable.xtext.valuespecification;bundle-version="1.1.0",
- org.eclipse.papyrus.uml.properties.xtext;bundle-version="1.1.0"
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable.xtext.valuespecification;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.properties.xtext;bundle-version="1.2.0"
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-ActivationPolicy: lazy
Bundle-Description: %Bundle-Description
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.emf.nattable/META-INF/MANIFEST.MF b/plugins/infra/nattable/org.eclipse.papyrus.infra.emf.nattable/META-INF/MANIFEST.MF
index caf6219067e..cc9afb75459 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.emf.nattable/META-INF/MANIFEST.MF
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.emf.nattable/META-INF/MANIFEST.MF
@@ -1,42 +1,40 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.emf.nattable,
- org.eclipse.papyrus.infra.emf.nattable.celleditor.config,
- org.eclipse.papyrus.infra.emf.nattable.dataprovider,
- org.eclipse.papyrus.infra.emf.nattable.filter.configuration,
- org.eclipse.papyrus.infra.emf.nattable.manager.axis,
- org.eclipse.papyrus.infra.emf.nattable.manager.cell,
- org.eclipse.papyrus.infra.emf.nattable.messages,
- org.eclipse.papyrus.infra.emf.nattable.provider,
- org.eclipse.papyrus.infra.emf.nattable.registry,
- org.eclipse.papyrus.infra.emf.nattable.selection,
- org.eclipse.papyrus.infra.emf.nattable.validator
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.emf.ecore;bundle-version="2.9.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.emf.edit,
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- ca.odell.glazedlists;bundle-version="1.9.0",
- com.google.guava;bundle-version="15.0.0",
- org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.2.0,
- 2.0.0)"
-Bundle-Vendor: Eclipse Modeling Project
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: EMF Nattable
-Bundle-Activator: org.eclipse.papyrus.infra.emf.nattable.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.infra.emf.nattable;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.emf.nattable,
+ org.eclipse.papyrus.infra.emf.nattable.celleditor.config,
+ org.eclipse.papyrus.infra.emf.nattable.dataprovider,
+ org.eclipse.papyrus.infra.emf.nattable.filter.configuration,
+ org.eclipse.papyrus.infra.emf.nattable.manager.axis,
+ org.eclipse.papyrus.infra.emf.nattable.manager.cell,
+ org.eclipse.papyrus.infra.emf.nattable.messages,
+ org.eclipse.papyrus.infra.emf.nattable.provider,
+ org.eclipse.papyrus.infra.emf.nattable.registry,
+ org.eclipse.papyrus.infra.emf.nattable.selection,
+ org.eclipse.papyrus.infra.emf.nattable.validator
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.emf.ecore;bundle-version="2.9.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.emf.edit,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ ca.odell.glazedlists;bundle-version="1.9.0",
+ com.google.guava;bundle-version="15.0.0",
+ org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.3.0,2.0.0)"
+Bundle-Vendor: Eclipse Modeling Project
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: EMF Nattable
+Bundle-Activator: org.eclipse.papyrus.infra.emf.nattable.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.infra.emf.nattable;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.common/META-INF/MANIFEST.MF b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.common/META-INF/MANIFEST.MF
index 0a1a56b9b10..c4176ada360 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.common/META-INF/MANIFEST.MF
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.common/META-INF/MANIFEST.MF
@@ -1,36 +1,36 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.nattable.common,
- org.eclipse.papyrus.infra.nattable.common.editor,
- org.eclipse.papyrus.infra.nattable.common.factory,
- org.eclipse.papyrus.infra.nattable.common.handlers,
- org.eclipse.papyrus.infra.nattable.common.modelresource,
- org.eclipse.papyrus.infra.nattable.common.utils,
- org.eclipse.papyrus.infra.nattable.common.wizards
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.emf.edit,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.emf.transaction,
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.e4.ui.workbench,
- org.eclipse.e4.core.contexts,
- org.eclipse.core.expressions,
- org.eclipse.emf.edit.ui,
- org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0",
- com.google.guava;bundle-version="11.0.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.infra.nattable.common.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.common;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.nattable.common,
+ org.eclipse.papyrus.infra.nattable.common.editor,
+ org.eclipse.papyrus.infra.nattable.common.factory,
+ org.eclipse.papyrus.infra.nattable.common.handlers,
+ org.eclipse.papyrus.infra.nattable.common.modelresource,
+ org.eclipse.papyrus.infra.nattable.common.utils,
+ org.eclipse.papyrus.infra.nattable.common.wizards
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.emf.edit,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.emf.transaction,
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.e4.ui.workbench,
+ org.eclipse.e4.core.contexts,
+ org.eclipse.core.expressions,
+ org.eclipse.emf.edit.ui,
+ org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0",
+ com.google.guava;bundle-version="11.0.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.infra.nattable.common.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.common;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.properties/META-INF/MANIFEST.MF b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.properties/META-INF/MANIFEST.MF
index 9f1589fd150..bc6889a87f6 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.properties/META-INF/MANIFEST.MF
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.properties/META-INF/MANIFEST.MF
@@ -1,35 +1,35 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.nattable.properties.constraints
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.views.properties;bundle-version="1.2.0",
- org.eclipse.emf.ecore,
- org.eclipse.emf.edit,
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.core.databinding;bundle-version="1.4.1",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.views.properties.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.constraints;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.emf.databinding,
- org.eclipse.core.databinding.property;bundle-version="1.4.200",
- org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.infra.nattable.properties.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.properties;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.nattable.properties.constraints
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.views.properties;bundle-version="1.2.0",
+ org.eclipse.emf.ecore,
+ org.eclipse.emf.edit,
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.core.databinding;bundle-version="1.4.1",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.views.properties.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.constraints;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.emf.databinding,
+ org.eclipse.core.databinding.property;bundle-version="1.4.200",
+ org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.infra.nattable.properties.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.properties;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.config/META-INF/MANIFEST.MF b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.config/META-INF/MANIFEST.MF
index b14625bb494..14b64072f70 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.config/META-INF/MANIFEST.MF
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.config/META-INF/MANIFEST.MF
@@ -1,36 +1,36 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.nattable.views.config,
- org.eclipse.papyrus.infra.nattable.views.config.celleditor,
- org.eclipse.papyrus.infra.nattable.views.config.manager.axis,
- org.eclipse.papyrus.infra.nattable.views.config.manager.cell,
- org.eclipse.papyrus.infra.nattable.views.config.messages,
- org.eclipse.papyrus.infra.nattable.views.config.provider,
- org.eclipse.papyrus.infra.nattable.views.config.utils
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.emf.edit,
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.emf.transaction,
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.infra.nattable.views.config.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.views.config;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.nattable.views.config,
+ org.eclipse.papyrus.infra.nattable.views.config.celleditor,
+ org.eclipse.papyrus.infra.nattable.views.config.manager.axis,
+ org.eclipse.papyrus.infra.nattable.views.config.manager.cell,
+ org.eclipse.papyrus.infra.nattable.views.config.messages,
+ org.eclipse.papyrus.infra.nattable.views.config.provider,
+ org.eclipse.papyrus.infra.nattable.views.config.utils
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.sasheditor.di;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.emf.edit,
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.emf.transaction,
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.infra.nattable.views.config.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.views.config;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.editor/META-INF/MANIFEST.MF b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.editor/META-INF/MANIFEST.MF
index cac722abfe9..942414d34db 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.editor/META-INF/MANIFEST.MF
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.editor/META-INF/MANIFEST.MF
@@ -1,26 +1,26 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.emf.transaction;bundle-version="1.4.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.views.config;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.views.editor;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.emf.transaction;bundle-version="1.4.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.views.config;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.views.editor;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable/META-INF/MANIFEST.MF b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable/META-INF/MANIFEST.MF
index c20c94f65c6..313b44b7c67 100644
--- a/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable/META-INF/MANIFEST.MF
+++ b/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable/META-INF/MANIFEST.MF
@@ -1,80 +1,80 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.infra.nattable,
- org.eclipse.papyrus.infra.nattable.accumulator,
- org.eclipse.papyrus.infra.nattable.advice,
- org.eclipse.papyrus.infra.nattable.celleditor,
- org.eclipse.papyrus.infra.nattable.celleditor.config,
- org.eclipse.papyrus.infra.nattable.command,
- org.eclipse.papyrus.infra.nattable.comparator,
- org.eclipse.papyrus.infra.nattable.configuration,
- org.eclipse.papyrus.infra.nattable.converter,
- org.eclipse.papyrus.infra.nattable.copy,
- org.eclipse.papyrus.infra.nattable.dataprovider,
- org.eclipse.papyrus.infra.nattable.dialog,
- org.eclipse.papyrus.infra.nattable.display.converter,
- org.eclipse.papyrus.infra.nattable.export,
- org.eclipse.papyrus.infra.nattable.filter,
- org.eclipse.papyrus.infra.nattable.filter.configuration,
- org.eclipse.papyrus.infra.nattable.filter.validator,
- org.eclipse.papyrus.infra.nattable.formatter,
- org.eclipse.papyrus.infra.nattable.handler,
- org.eclipse.papyrus.infra.nattable.helper.advice,
- org.eclipse.papyrus.infra.nattable.layer,
- org.eclipse.papyrus.infra.nattable.layerstack,
- org.eclipse.papyrus.infra.nattable.listener,
- org.eclipse.papyrus.infra.nattable.manager,
- org.eclipse.papyrus.infra.nattable.manager.axis,
- org.eclipse.papyrus.infra.nattable.manager.cell,
- org.eclipse.papyrus.infra.nattable.manager.table,
- org.eclipse.papyrus.infra.nattable.messages,
- org.eclipse.papyrus.infra.nattable.nattableconfiguration,
- org.eclipse.papyrus.infra.nattable.painter,
- org.eclipse.papyrus.infra.nattable.parsers,
- org.eclipse.papyrus.infra.nattable.paste,
- org.eclipse.papyrus.infra.nattable.preferences,
- org.eclipse.papyrus.infra.nattable.provider,
- org.eclipse.papyrus.infra.nattable.reorder,
- org.eclipse.papyrus.infra.nattable.selection,
- org.eclipse.papyrus.infra.nattable.sort,
- org.eclipse.papyrus.infra.nattable.tester,
- org.eclipse.papyrus.infra.nattable.tree,
- org.eclipse.papyrus.infra.nattable.utils,
- org.eclipse.papyrus.infra.nattable.widget,
- org.eclipse.papyrus.infra.nattable.wizard,
- org.eclipse.papyrus.infra.nattable.wizard.pages
-Require-Bundle: org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.core.runtime,
- org.eclipse.emf.transaction,
- org.eclipse.emf.ecore,
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
- org.eclipse.emf.edit,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.swt,
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.emf.edit.ui,
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="1.2.0",
- com.google.guava;bundle-version="11.0.0",
- org.eclipse.papyrus.emf.facet.custom.core;bundle-version="1.2.0",
- org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.2.0,
- 2.0.0)",
- ca.odell.glazedlists;bundle-version="1.9.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.infra.nattable.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.infra.nattable,
+ org.eclipse.papyrus.infra.nattable.accumulator,
+ org.eclipse.papyrus.infra.nattable.advice,
+ org.eclipse.papyrus.infra.nattable.celleditor,
+ org.eclipse.papyrus.infra.nattable.celleditor.config,
+ org.eclipse.papyrus.infra.nattable.command,
+ org.eclipse.papyrus.infra.nattable.comparator,
+ org.eclipse.papyrus.infra.nattable.configuration,
+ org.eclipse.papyrus.infra.nattable.converter,
+ org.eclipse.papyrus.infra.nattable.copy,
+ org.eclipse.papyrus.infra.nattable.dataprovider,
+ org.eclipse.papyrus.infra.nattable.dialog,
+ org.eclipse.papyrus.infra.nattable.display.converter,
+ org.eclipse.papyrus.infra.nattable.export,
+ org.eclipse.papyrus.infra.nattable.filter,
+ org.eclipse.papyrus.infra.nattable.filter.configuration,
+ org.eclipse.papyrus.infra.nattable.filter.validator,
+ org.eclipse.papyrus.infra.nattable.formatter,
+ org.eclipse.papyrus.infra.nattable.handler,
+ org.eclipse.papyrus.infra.nattable.helper.advice,
+ org.eclipse.papyrus.infra.nattable.layer,
+ org.eclipse.papyrus.infra.nattable.layerstack,
+ org.eclipse.papyrus.infra.nattable.listener,
+ org.eclipse.papyrus.infra.nattable.manager,
+ org.eclipse.papyrus.infra.nattable.manager.axis,
+ org.eclipse.papyrus.infra.nattable.manager.cell,
+ org.eclipse.papyrus.infra.nattable.manager.table,
+ org.eclipse.papyrus.infra.nattable.messages,
+ org.eclipse.papyrus.infra.nattable.nattableconfiguration,
+ org.eclipse.papyrus.infra.nattable.painter,
+ org.eclipse.papyrus.infra.nattable.parsers,
+ org.eclipse.papyrus.infra.nattable.paste,
+ org.eclipse.papyrus.infra.nattable.preferences,
+ org.eclipse.papyrus.infra.nattable.provider,
+ org.eclipse.papyrus.infra.nattable.reorder,
+ org.eclipse.papyrus.infra.nattable.selection,
+ org.eclipse.papyrus.infra.nattable.sort,
+ org.eclipse.papyrus.infra.nattable.tester,
+ org.eclipse.papyrus.infra.nattable.tree,
+ org.eclipse.papyrus.infra.nattable.utils,
+ org.eclipse.papyrus.infra.nattable.widget,
+ org.eclipse.papyrus.infra.nattable.wizard,
+ org.eclipse.papyrus.infra.nattable.wizard.pages
+Require-Bundle: org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.core.runtime,
+ org.eclipse.emf.transaction,
+ org.eclipse.emf.ecore,
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
+ org.eclipse.emf.edit,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.swt,
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.emf.edit.ui,
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets.toolbox;bundle-version="1.2.0",
+ com.google.guava;bundle-version="11.0.0",
+ org.eclipse.papyrus.emf.facet.custom.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.3.0,
+ 2.0.0)",
+ ca.odell.glazedlists;bundle-version="1.9.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.infra.nattable.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.config/META-INF/MANIFEST.MF b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.config/META-INF/MANIFEST.MF
index 53268c066a1..dbd9062ba4e 100644
--- a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.config/META-INF/MANIFEST.MF
+++ b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.config/META-INF/MANIFEST.MF
@@ -1,25 +1,25 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.sysml;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.nattable.menu;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
- org.eclipse.papyrus.uml.nattable.menu;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.core.expressions
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.sysml.nattable.allocation.config.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.allocation.config;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.papyrus.sysml;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.nattable.menu;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.7.0",
+ org.eclipse.papyrus.uml.nattable.menu;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.core.expressions
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.sysml.nattable.allocation.config.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.allocation.config;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.menu/META-INF/MANIFEST.MF b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.menu/META-INF/MANIFEST.MF
index 56d2f1ba182..1279464c635 100644
--- a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.menu/META-INF/MANIFEST.MF
+++ b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.menu/META-INF/MANIFEST.MF
@@ -1,31 +1,31 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.sysml.nattable.menu.handlers
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.uml.nattable.menu;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.diagram.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
- org.eclipse.core.expressions;bundle-version="3.4.500",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.sysml.nattable.menu.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.menu;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.sysml.nattable.menu.handlers
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.uml.nattable.menu;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.diagram.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
+ org.eclipse.core.expressions;bundle-version="3.4.500",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.sysml.nattable.menu.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.menu;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement/META-INF/MANIFEST.MF b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement/META-INF/MANIFEST.MF
index cf425674433..bfb4f646a92 100644
--- a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement/META-INF/MANIFEST.MF
+++ b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement/META-INF/MANIFEST.MF
@@ -1,25 +1,25 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.sysml;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.nattable.requirement.config;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.sysml.nattable.requirement.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.requirement;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.papyrus.sysml;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.nattable.requirement.config;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.sysml.nattable.requirement.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.requirement;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable/META-INF/MANIFEST.MF b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable/META-INF/MANIFEST.MF
index b0d9a3d5925..dbaaf9e6429 100644
--- a/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable/META-INF/MANIFEST.MF
+++ b/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable/META-INF/MANIFEST.MF
@@ -1,31 +1,31 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.sysml.nattable.manager.axis
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
- org.eclipse.emf.edit;bundle-version="2.9.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.sysml.nattable.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.sysml.nattable.manager.axis
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
+ org.eclipse.emf.edit;bundle-version="2.9.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.sysml.nattable.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config/META-INF/MANIFEST.MF
index 098a84a426c..9bf52c34805 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config/META-INF/MANIFEST.MF
@@ -1,28 +1,28 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- ca.odell.glazedlists;bundle-version="1.9.0",
- org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.emf.transaction;bundle-version="1.8.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.uml2.uml;bundle-version="5.0.1",
- org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.uml.nattable.clazz.config,
- org.eclipse.papyrus.uml.nattable.clazz.config.manager.axis
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Localization: plugin
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.clazz.config.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.clazz.config;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ ca.odell.glazedlists;bundle-version="1.9.0",
+ org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.emf.transaction;bundle-version="1.8.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="5.0.1",
+ org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.uml.nattable.clazz.config,
+ org.eclipse.papyrus.uml.nattable.clazz.config.manager.axis
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.clazz.config.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.clazz.config;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.menu/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.menu/META-INF/MANIFEST.MF
index e396b81e589..ef762b5e04d 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.menu/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.menu/META-INF/MANIFEST.MF
@@ -1,32 +1,32 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.uml.nattable.menu,
- org.eclipse.papyrus.uml.nattable.menu.handlers,
- org.eclipse.papyrus.uml.nattable.menu.messages,
- org.eclipse.papyrus.uml.nattable.menu.util
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.common.core,
- org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.menu.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.menu;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.uml.nattable.menu,
+ org.eclipse.papyrus.uml.nattable.menu.handlers,
+ org.eclipse.papyrus.uml.nattable.menu.messages,
+ org.eclipse.papyrus.uml.nattable.menu.util
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.common.core,
+ org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.menu.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.menu;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display/META-INF/MANIFEST.MF
index 40f487a7ec0..f5215d98e97 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display/META-INF/MANIFEST.MF
@@ -1,35 +1,35 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.nattable;bundle-version="1.1.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.1.0",
- org.eclipse.uml2.uml;bundle-version="5.1.0",
- org.eclipse.papyrus.infra.viewpoints.policy,
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.1.0",
- org.eclipse.emf.transaction;bundle-version="1.9.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.1.0",
- ca.odell.glazedlists;bundle-version="1.9.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.1.0",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="1.1.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.1.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.1.0",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.1.0",
- org.eclipse.gmf.runtime.diagram.core;bundle-version="1.7.0",
- org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.1.0"
-Export-Package: org.eclipse.papyrus.uml.nattable.stereotype.display,
- org.eclipse.papyrus.uml.nattable.stereotype.display.configuration,
- org.eclipse.papyrus.uml.nattable.stereotype.display.label.provider,
- org.eclipse.papyrus.uml.nattable.stereotype.display.manager.axis,
- org.eclipse.papyrus.uml.nattable.stereotype.display.manager.cell,
- org.eclipse.papyrus.uml.nattable.stereotype.display.utils
-Bundle-Vendor: Eclipse Modeling Project
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: Stereotype Display Table
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.stereotype.display.Activator
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.stereotype.display;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="5.1.0",
+ org.eclipse.papyrus.infra.viewpoints.policy;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.emf.transaction;bundle-version="1.9.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.nebula.widgets.nattable.extension.glazedlists;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ ca.odell.glazedlists;bundle-version="1.9.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.diagram.core;bundle-version="1.7.0",
+ org.eclipse.gmf.runtime.diagram.ui;bundle-version="1.7.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.uml.nattable.stereotype.display,
+ org.eclipse.papyrus.uml.nattable.stereotype.display.configuration,
+ org.eclipse.papyrus.uml.nattable.stereotype.display.label.provider,
+ org.eclipse.papyrus.uml.nattable.stereotype.display.manager.axis,
+ org.eclipse.papyrus.uml.nattable.stereotype.display.manager.cell,
+ org.eclipse.papyrus.uml.nattable.stereotype.display.utils
+Bundle-Vendor: Eclipse Modeling Project
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: Stereotype Display Table
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.stereotype.display.Activator
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.stereotype.display;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF
index 07ac51eada0..bec08f9537f 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.integration/META-INF/MANIFEST.MF
@@ -1,26 +1,26 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.uml.nattable.xtext.integration,
- org.eclipse.papyrus.uml.nattable.xtext.integration.celleditor,
- org.eclipse.papyrus.uml.nattable.xtext.integration.util
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.emf.ecore,
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.2.0",
- org.eclipse.xtext;bundle-version="2.4.2",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.gmf.runtime.common.core,
- org.eclipse.gmf.runtime.common.ui.services
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.xtext.integration.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.xtext.integration;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.uml.nattable.xtext.integration,
+ org.eclipse.papyrus.uml.nattable.xtext.integration.celleditor,
+ org.eclipse.papyrus.uml.nattable.xtext.integration.util
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.emf.ecore,
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.2.0",
+ org.eclipse.xtext;bundle-version="2.4.2",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.gmf.runtime.common.core,
+ org.eclipse.gmf.runtime.common.ui.services
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.xtext.integration.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.xtext.integration;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.valuespecification/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.valuespecification/META-INF/MANIFEST.MF
index f7e3ff58bfb..d6ccf6ac3bf 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.valuespecification/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.xtext.valuespecification/META-INF/MANIFEST.MF
@@ -1,29 +1,29 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.ui,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.textedit.valuespecification.xtext.ui;bundle-version="1.2.0",
- com.google.inject,
- org.eclipse.papyrus.uml.nattable.xtext.integration;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.uml.nattable.xtext.valuespecification,
- org.eclipse.papyrus.uml.nattable.xtext.valuespecification.celleditor,
- org.eclipse.papyrus.uml.nattable.xtext.valuespecification.manager.cell
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.xtext.valuespecification.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.xtext.valuespecification;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.uml2.uml,
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.ui,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.uml.textedit.valuespecification.xtext.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.textedit.valuespecification.xtext.ui;bundle-version="1.2.0",
+ com.google.inject,
+ org.eclipse.papyrus.uml.nattable.xtext.integration;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.papyrus.uml.xtext.integration.ui;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.uml.nattable.xtext.valuespecification,
+ org.eclipse.papyrus.uml.nattable.xtext.valuespecification.celleditor,
+ org.eclipse.papyrus.uml.nattable.xtext.valuespecification.manager.cell
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.xtext.valuespecification.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.xtext.valuespecification;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable/META-INF/MANIFEST.MF b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable/META-INF/MANIFEST.MF
index 40765c147a2..9267a694b62 100644
--- a/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable/META-INF/MANIFEST.MF
+++ b/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable/META-INF/MANIFEST.MF
@@ -1,48 +1,48 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.uml.nattable,
- org.eclipse.papyrus.uml.nattable.config,
- org.eclipse.papyrus.uml.nattable.dataprovider,
- org.eclipse.papyrus.uml.nattable.editor,
- org.eclipse.papyrus.uml.nattable.manager.axis,
- org.eclipse.papyrus.uml.nattable.manager.cell,
- org.eclipse.papyrus.uml.nattable.messages,
- org.eclipse.papyrus.uml.nattable.provider,
- org.eclipse.papyrus.uml.nattable.tester,
- org.eclipse.papyrus.uml.nattable.utils,
- org.eclipse.papyrus.uml.nattable.validator,
- org.eclipse.papyrus.uml.nattable.widget
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.jface,
- org.eclipse.core.expressions,
- org.eclipse.swt,
- org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.2.0",
- ca.odell.glazedlists;bundle-version="1.9.0",
- org.eclipse.jface.text;bundle-version="3.10.0"
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.Activator
-Bundle-ManifestVersion: 2
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.uml.nattable,
+ org.eclipse.papyrus.uml.nattable.config,
+ org.eclipse.papyrus.uml.nattable.dataprovider,
+ org.eclipse.papyrus.uml.nattable.editor,
+ org.eclipse.papyrus.uml.nattable.manager.axis,
+ org.eclipse.papyrus.uml.nattable.manager.cell,
+ org.eclipse.papyrus.uml.nattable.messages,
+ org.eclipse.papyrus.uml.nattable.provider,
+ org.eclipse.papyrus.uml.nattable.tester,
+ org.eclipse.papyrus.uml.nattable.utils,
+ org.eclipse.papyrus.uml.nattable.validator,
+ org.eclipse.papyrus.uml.nattable.widget
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.jface,
+ org.eclipse.core.expressions,
+ org.eclipse.swt,
+ org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.2.0",
+ ca.odell.glazedlists;bundle-version="1.9.0",
+ org.eclipse.jface.text;bundle-version="3.10.0"
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.Activator
+Bundle-ManifestVersion: 2
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF b/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
index a8a6341170c..a7a8f64f275 100644
--- a/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
+++ b/plugins/uml/properties/org.eclipse.papyrus.uml.properties/META-INF/MANIFEST.MF
@@ -1,70 +1,70 @@
-Manifest-Version: 1.0
-Export-Package: org.eclipse.papyrus.uml.properties.constraints,
- org.eclipse.papyrus.uml.properties.creation,
- org.eclipse.papyrus.uml.properties.databinding,
- org.eclipse.papyrus.uml.properties.datatype,
- org.eclipse.papyrus.uml.properties.modelelement,
- org.eclipse.papyrus.uml.properties.preferences,
- org.eclipse.papyrus.uml.properties.profile.ui.actions,
- org.eclipse.papyrus.uml.properties.profile.ui.compositeforview,
- org.eclipse.papyrus.uml.properties.profile.ui.compositesformodel,
- org.eclipse.papyrus.uml.properties.profile.ui.dialogs,
- org.eclipse.papyrus.uml.properties.profile.ui.items,
- org.eclipse.papyrus.uml.properties.profile.ui.listeners,
- org.eclipse.papyrus.uml.properties.profile.ui.panels,
- org.eclipse.papyrus.uml.properties.profile.ui.section,
- org.eclipse.papyrus.uml.properties.profile.ui.views,
- org.eclipse.papyrus.uml.properties.util,
- org.eclipse.papyrus.uml.properties.widgets
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.papyrus.views.properties.model;bundle-version="1.2.0",
- org.eclipse.papyrus.views.properties;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.emf.databinding;bundle-version="1.2.0",
- org.eclipse.jface;bundle-version="3.6.1",
- org.eclipse.core.databinding.property;bundle-version="1.3.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.ui;bundle-version="3.6.1",
- org.eclipse.papyrus.uml.profile;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.constraints;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.properties;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.2.0",
- org.eclipse.uml2.uml;bundle-version="5.0.0",
- org.eclipse.uml2.common.edit;bundle-version="1.6.0",
- org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
- org.eclipse.papyrus.infra.emf.appearance;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.appearance;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
- org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
- org.eclipse.gef;bundle-version="3.8.1",
- org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
- org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
- org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.stereotype.edition;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable.stereotype.display;bundle-version="1.2.0"
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-Activator: org.eclipse.papyrus.uml.properties.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.uml.properties;singleton:=true
-Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Manifest-Version: 1.0
+Export-Package: org.eclipse.papyrus.uml.properties.constraints,
+ org.eclipse.papyrus.uml.properties.creation,
+ org.eclipse.papyrus.uml.properties.databinding,
+ org.eclipse.papyrus.uml.properties.datatype,
+ org.eclipse.papyrus.uml.properties.modelelement,
+ org.eclipse.papyrus.uml.properties.preferences,
+ org.eclipse.papyrus.uml.properties.profile.ui.actions,
+ org.eclipse.papyrus.uml.properties.profile.ui.compositeforview,
+ org.eclipse.papyrus.uml.properties.profile.ui.compositesformodel,
+ org.eclipse.papyrus.uml.properties.profile.ui.dialogs,
+ org.eclipse.papyrus.uml.properties.profile.ui.items,
+ org.eclipse.papyrus.uml.properties.profile.ui.listeners,
+ org.eclipse.papyrus.uml.properties.profile.ui.panels,
+ org.eclipse.papyrus.uml.properties.profile.ui.section,
+ org.eclipse.papyrus.uml.properties.profile.ui.views,
+ org.eclipse.papyrus.uml.properties.util,
+ org.eclipse.papyrus.uml.properties.widgets
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.papyrus.views.properties.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.views.properties;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.emf.databinding;bundle-version="1.2.0",
+ org.eclipse.jface;bundle-version="3.6.1",
+ org.eclipse.core.databinding.property;bundle-version="1.3.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.ui;bundle-version="3.6.1",
+ org.eclipse.papyrus.uml.profile;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.constraints;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.properties;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="5.0.0",
+ org.eclipse.uml2.common.edit;bundle-version="1.6.0",
+ org.eclipse.ui.views.properties.tabbed;bundle-version="3.5.200",
+ org.eclipse.papyrus.infra.emf.appearance;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.appearance;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.ui.ide;bundle-version="3.8.0",
+ org.eclipse.gmf.runtime.common.core;bundle-version="1.4.1",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.4.0",
+ org.eclipse.gmf.runtime.emf.type.core;bundle-version="1.4.0",
+ org.eclipse.gef;bundle-version="3.8.1",
+ org.eclipse.gmf.runtime.notation;bundle-version="1.5.0",
+ org.eclipse.papyrus.infra.services.labelprovider;bundle-version="1.2.0",
+ org.eclipse.papyrus.emf.facet.custom.ui;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.diagram.stereotype.edition;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable.stereotype.display;bundle-version="1.2.0"
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-Activator: org.eclipse.papyrus.uml.properties.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.uml.properties;singleton:=true
+Bundle-RequiredExecutionEnvironment: J2SE-1.5
diff --git a/releng/org.eclipse.papyrus.oomph/setups/papyrus.setup b/releng/org.eclipse.papyrus.oomph/setups/papyrus.setup
index 4c72572d622..fd92f6091af 100644
--- a/releng/org.eclipse.papyrus.oomph/setups/papyrus.setup
+++ b/releng/org.eclipse.papyrus.oomph/setups/papyrus.setup
@@ -204,7 +204,7 @@
</detail>
</annotation>
</repository>
- <repository url="${base.downloads.url}/nattable/releases/1.2.0/repository/"/>
+ <repository url="${base.downloads.url}/nattable/releases/1.3.0/repository/"/>
<repository url="http://download.eclipse.org/xwt/release-1.1.0">
<annotation source="http://www.eclipse.org/Papyrus/2014/releng/dependencytools">
<detail key="updateFrom">
@@ -1333,7 +1333,7 @@
</detail>
</annotation>
</repository>
- <repository url="http://download.eclipse.org/facet/updates/integration/1.1.0/I201509171438/">
+ <repository url="http://download.eclipse.org/facet/updates/integration/1.1.0/I201509171438/">
<annotation source="http://www.eclipse.org/Papyrus/2014/releng/dependencytools">
<detail key="updateFrom">
<value>EMF Facet</value>
diff --git a/releng/pom.xml b/releng/pom.xml
index 08cd6b115a3..9ef4ca1c6f0 100644
--- a/releng/pom.xml
+++ b/releng/pom.xml
@@ -1,265 +1,265 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?>
-<project>
- <modelVersion>4.0.0</modelVersion>
- <groupId>org.eclipse.papyrus</groupId>
- <artifactId>org.eclipse.papyrus.all.releng</artifactId>
- <version>1.2.0-SNAPSHOT</version>
- <packaging>pom</packaging>
-
- <properties>
- <tycho-version>0.23.1</tycho-version>
- <tychoExtrasVersion>0.23.1</tychoExtrasVersion>
- <tycho.scmUrl>scm:git:git://git.eclipse.org/gitroot/papyrus/org.eclipse.papyrus</tycho.scmUrl>
- <jarSignerVersion>1.1.2</jarSignerVersion>
- <findbugs.version>3.0.1</findbugs.version>
- <xtext.version>2.7.3</xtext.version>
- <java.source.version>1.7</java.source.version>
- <java.target.version>1.7</java.target.version>
- <mylyn.wikitext.version>2.4.0-SNAPSHOT</mylyn.wikitext.version>
- <skipAllTests>false</skipAllTests>
- <skipInnerTests>true</skipInnerTests>
-
- <!-- manualUpdate -->
- <nattable.repo.url>http://download.eclipse.org/nattable/releases/1.2.0/repository/</nattable.repo.url>
-
- <!-- manualUpdate -->
- <nebula-tablecombo.repo.url>http://download.eclipse.org/technology/nebula/archives/Q12015/release/</nebula-tablecombo.repo.url>
-
- <!-- manualUpdate -->
- <orbit.repo.url>http://download.eclipse.org/tools/orbit/downloads/drops/R20150519210750/repository</orbit.repo.url>
-
- <!-- updateFrom("Extended Editing Framework (EEF)",0) -->
- <eef.repo.url>http://download.eclipse.org/modeling/emft/eef/updates/milestones/1.5/S201505291308/</eef.repo.url>
-
- <!-- manualUpdate -->
- <rmf.repo.url>http://download.eclipse.org/rmf/updates/releases</rmf.repo.url>
-
- <!-- manualUpdate -->
- <papyrusrt.repo.url>http://download.eclipse.org/papyrus-rt/updates/releases/mars/0.7.0/</papyrusrt.repo.url>
-
- <!-- manualUpdate -->
- <swtbot.repo.url>http://download.eclipse.org/technology/swtbot/snapshots</swtbot.repo.url>
-
- <!-- updateFrom("CDT",0) -->
- <cdt.repo.url>http://download.eclipse.org/tools/cdt/builds/neon/milestones</cdt.repo.url>
-
- <!-- updateFrom("EMF CDO",0) -->
- <emf-cdo.repo.url>http://download.eclipse.org/modeling/emf/cdo/drops/S20150819-1258</emf-cdo.repo.url>
-
- <!-- updateFrom("EMF COMPARE",0) -->
- <emf-compare.repo.url>http://download.eclipse.org/modeling/emf/compare/updates/milestones/3.2/S201511010417</emf-compare.repo.url>
-
- <!-- updateFrom("EMF Query",0) -->
- <emf-query.repo.url>http://download.eclipse.org/modeling/emf/query/updates/releases/R201505312221</emf-query.repo.url>
-
- <!-- updateFrom("M2T ACCELEO",0) -->
- <m2t-acceleo.repo.url>http://download.eclipse.org/acceleo/updates/milestones/3.6/S201510300615</m2t-acceleo.repo.url>
-
- <!-- manualUpdate -->
- <upr.repo.url>http://download.eclipse.org/upr/0.9RC1/update/</upr.repo.url>
-
- <!-- manualUpdate -->
- <b3.repo.url>http://download.eclipse.org/modeling/emft/b3/updates-4.4</b3.repo.url>
-
- <!-- updateFrom("Mylyn",0) -->
- <mylyn.repo.url>http://download.eclipse.org/mylyn/snapshots/3.18</mylyn.repo.url>
-
- <!-- updateFrom("EGIT",0) -->
- <egit.repo.url>http://download.eclipse.org/egit/updates-4.1</egit.repo.url>
-
- <!-- updateFrom("EPP Logging",0) -->
- <epp-logging.repo.url>http://download.eclipse.org/technology/epp/logging/milestones/</epp-logging.repo.url>
-
- <!-- updateFrom("oomph",0) -->
- <oomph.repo.url>http://download.eclipse.org/oomph/drops/release/1.2.1</oomph.repo.url>
-
- <!-- Papyrus repositories -->
- <papyrus.eclipse.target>neon</papyrus.eclipse.target>
- <papyrus.repo.main>http://download.eclipse.org/modeling/mdt/papyrus/updates/nightly/${papyrus.eclipse.target}</papyrus.repo.main>
- <papyrus.repo.extra>http://download.eclipse.org/modeling/mdt/papyrus/updates/nightly/${papyrus.eclipse.target}/extra</papyrus.repo.extra>
-
- </properties>
-
- <modules>
- <module>main</module>
- <module>extra</module>
- <module>dev</module>
- <module>main-tests</module>
- <module>extra-tests</module>
- </modules>
-
- <pluginRepositories>
- <pluginRepository>
- <id>org.eclipse.cbi.maven.plugins</id>
- <name>Eclipse CBI</name>
- <url>https://repo.eclipse.org/content/repositories/cbi-releases/</url>
- <releases>
- <enabled>true</enabled>
- </releases>
- <snapshots>
- <enabled>false</enabled>
- </snapshots>
- </pluginRepository>
- <pluginRepository>
- <id>eclipse.org-mylyn</id>
- <!-- url>https://repo.eclipse.org/content/repositories/mylyn-releases/</url -->
- <url>https://repo.eclipse.org/content/repositories/mylyn/</url>
- </pluginRepository>
- </pluginRepositories>
-
- <repositories>
- <repository>
- <id>emf-emf</id>
- <layout>p2</layout>
- <!-- updateFrom("EMF (Core)",0) -->
- <url>http://download.eclipse.org/modeling/emf/emf/updates/2.12milestones/</url>
- </repository>
- <repository>
- <id>emft-mwe[0]</id>
- <layout>p2</layout>
- <!-- updateFrom("EMFT MWE",0) -->
- <url>http://download.eclipse.org/modeling/emft/mwe/updates/milestones/S201509290600/mwe</url>
- </repository>
- <repository>
- <id>emft-mwe[1]</id>
- <layout>p2</layout>
- <!-- updateFrom("EMFT MWE",1) -->
- <url>http://download.eclipse.org/modeling/emft/mwe/updates/milestones/S201509290840/mwe2lang/</url>
- </repository>
- <repository>
- <id>emf-transaction</id>
- <layout>p2</layout>
- <!-- updateFrom("EMF TRANSACTION",0) -->
- <url>http://download.eclipse.org/modeling/emf/transaction/updates/releases/R201506010221</url>
- </repository>
- <repository>
- <id>emf-validation</id>
- <layout>p2</layout>
- <!-- updateFrom("EMF VALIDATION",0) -->
- <url>http://download.eclipse.org/modeling/emf/validation/updates/releases/R201505312255</url>
- </repository>
- <repository>
- <id>ep</id>
- <layout>p2</layout>
- <!-- updateFrom("Eclipse",0) -->
- <url>http://download.eclipse.org/eclipse/updates/4.6milestones/S-4.6M2-201509162000/</url>
- </repository>
- <repository>
- <id>gef</id>
- <layout>p2</layout>
- <!-- updateFrom("GEF",0) -->
- <url>http://download.eclipse.org/tools/gef/updates/milestones</url>
- </repository>
- <repository>
- <id>gmp-gmf-notation</id>
- <layout>p2</layout>
- <!-- updateFrom("GMF Notation",0) -->
- <url>http://download.eclipse.org/modeling/gmp/gmf-notation/updates/releases/R201505312221</url>
- </repository>
- <repository>
- <id>gmp-gmf-runtime</id>
- <layout>p2</layout>
- <!-- updateFrom("GMF Runtime",0) -->
- <url>http://download.eclipse.org/modeling/gmp/gmf-runtime/updates/releases/R201506060219</url>
- </repository>
- <repository>
- <id>gmf-tooling</id>
- <layout>p2</layout>
- <!-- updateFrom("GMF Tooling",0) -->
- <url>http://download.eclipse.org/modeling/gmp/gmf-tooling/updates/milestones-3.3/S201506090500</url>
- </repository>
- <repository>
- <id>m2t-xpand</id>
- <layout>p2</layout>
- <!-- updateFrom("M2T XPAND",0) -->
- <url>http://download.eclipse.org/modeling/m2t/xpand/updates/milestones/S201509290912/</url>
- </repository>
- <repository>
- <id>mdt-ocl</id>
- <layout>p2</layout>
- <!-- updateFrom("MDT OCL 6.0",0) -->
- <url>http://download.eclipse.org/modeling/mdt/ocl/updates/milestones/6.1.0/S201509281333</url>
- </repository>
- <repository>
- <id>mdt-uml2</id>
- <layout>p2</layout>
- <!-- updateFrom("MDT UML2",0) -->
- <url>http://download.eclipse.org/modeling/mdt/uml2/updates/5.1</url>
- </repository>
- <repository>
- <id>mmt-qvto</id>
- <layout>p2</layout>
- <!-- updateFrom("QVT Operational",0) -->
- <url>http://download.eclipse.org/mmt/qvto/updates/releases/3.5.0</url>
- </repository>
- <repository>
- <id>nattable</id>
- <layout>p2</layout>
- <!-- manualUpdate -->
- <url>${nattable.repo.url}</url>
- </repository>
-
+<?xml version="1.0" encoding="UTF-8" standalone="no"?>
+<project>
+ <modelVersion>4.0.0</modelVersion>
+ <groupId>org.eclipse.papyrus</groupId>
+ <artifactId>org.eclipse.papyrus.all.releng</artifactId>
+ <version>1.2.0-SNAPSHOT</version>
+ <packaging>pom</packaging>
+
+ <properties>
+ <tycho-version>0.23.1</tycho-version>
+ <tychoExtrasVersion>0.23.1</tychoExtrasVersion>
+ <tycho.scmUrl>scm:git:git://git.eclipse.org/gitroot/papyrus/org.eclipse.papyrus</tycho.scmUrl>
+ <jarSignerVersion>1.1.2</jarSignerVersion>
+ <findbugs.version>3.0.1</findbugs.version>
+ <xtext.version>2.7.3</xtext.version>
+ <java.source.version>1.7</java.source.version>
+ <java.target.version>1.7</java.target.version>
+ <mylyn.wikitext.version>2.4.0-SNAPSHOT</mylyn.wikitext.version>
+ <skipAllTests>false</skipAllTests>
+ <skipInnerTests>true</skipInnerTests>
+
+ <!-- manualUpdate -->
+ <nattable.repo.url>http://download.eclipse.org/nattable/releases/1.3.0/repository/</nattable.repo.url>
+
+ <!-- manualUpdate -->
+ <nebula-tablecombo.repo.url>http://download.eclipse.org/technology/nebula/archives/Q12015/release/</nebula-tablecombo.repo.url>
+
+ <!-- manualUpdate -->
+ <orbit.repo.url>http://download.eclipse.org/tools/orbit/downloads/drops/R20150519210750/repository</orbit.repo.url>
+
+ <!-- updateFrom("Extended Editing Framework (EEF)",0) -->
+ <eef.repo.url>http://download.eclipse.org/modeling/emft/eef/updates/milestones/1.5/S201505291308/</eef.repo.url>
+
+ <!-- manualUpdate -->
+ <rmf.repo.url>http://download.eclipse.org/rmf/updates/releases</rmf.repo.url>
+
+ <!-- manualUpdate -->
+ <papyrusrt.repo.url>http://download.eclipse.org/papyrus-rt/updates/releases/mars/0.7.0/</papyrusrt.repo.url>
+
+ <!-- manualUpdate -->
+ <swtbot.repo.url>http://download.eclipse.org/technology/swtbot/snapshots</swtbot.repo.url>
+
+ <!-- updateFrom("CDT",0) -->
+ <cdt.repo.url>http://download.eclipse.org/tools/cdt/builds/neon/milestones</cdt.repo.url>
+
+ <!-- updateFrom("EMF CDO",0) -->
+ <emf-cdo.repo.url>http://download.eclipse.org/modeling/emf/cdo/drops/S20150819-1258</emf-cdo.repo.url>
+
+ <!-- updateFrom("EMF COMPARE",0) -->
+ <emf-compare.repo.url>http://download.eclipse.org/modeling/emf/compare/updates/milestones/3.2/S201511010417</emf-compare.repo.url>
+
+ <!-- updateFrom("EMF Query",0) -->
+ <emf-query.repo.url>http://download.eclipse.org/modeling/emf/query/updates/releases/R201505312221</emf-query.repo.url>
+
+ <!-- updateFrom("M2T ACCELEO",0) -->
+ <m2t-acceleo.repo.url>http://download.eclipse.org/acceleo/updates/milestones/3.6/S201510300615</m2t-acceleo.repo.url>
+
+ <!-- manualUpdate -->
+ <upr.repo.url>http://download.eclipse.org/upr/0.9RC1/update/</upr.repo.url>
+
+ <!-- manualUpdate -->
+ <b3.repo.url>http://download.eclipse.org/modeling/emft/b3/updates-4.4</b3.repo.url>
+
+ <!-- updateFrom("Mylyn",0) -->
+ <mylyn.repo.url>http://download.eclipse.org/mylyn/snapshots/3.18</mylyn.repo.url>
+
+ <!-- updateFrom("EGIT",0) -->
+ <egit.repo.url>http://download.eclipse.org/egit/updates-4.1</egit.repo.url>
+
+ <!-- updateFrom("EPP Logging",0) -->
+ <epp-logging.repo.url>http://download.eclipse.org/technology/epp/logging/milestones/</epp-logging.repo.url>
+
+ <!-- updateFrom("oomph",0) -->
+ <oomph.repo.url>http://download.eclipse.org/oomph/drops/release/1.2.1</oomph.repo.url>
+
+ <!-- Papyrus repositories -->
+ <papyrus.eclipse.target>neon</papyrus.eclipse.target>
+ <papyrus.repo.main>http://download.eclipse.org/modeling/mdt/papyrus/updates/nightly/${papyrus.eclipse.target}</papyrus.repo.main>
+ <papyrus.repo.extra>http://download.eclipse.org/modeling/mdt/papyrus/updates/nightly/${papyrus.eclipse.target}/extra</papyrus.repo.extra>
+
+ </properties>
+
+ <modules>
+ <module>main</module>
+ <module>extra</module>
+ <module>dev</module>
+ <module>main-tests</module>
+ <module>extra-tests</module>
+ </modules>
+
+ <pluginRepositories>
+ <pluginRepository>
+ <id>org.eclipse.cbi.maven.plugins</id>
+ <name>Eclipse CBI</name>
+ <url>https://repo.eclipse.org/content/repositories/cbi-releases/</url>
+ <releases>
+ <enabled>true</enabled>
+ </releases>
+ <snapshots>
+ <enabled>false</enabled>
+ </snapshots>
+ </pluginRepository>
+ <pluginRepository>
+ <id>eclipse.org-mylyn</id>
+ <!-- url>https://repo.eclipse.org/content/repositories/mylyn-releases/</url -->
+ <url>https://repo.eclipse.org/content/repositories/mylyn/</url>
+ </pluginRepository>
+ </pluginRepositories>
+
+ <repositories>
+ <repository>
+ <id>emf-emf</id>
+ <layout>p2</layout>
+ <!-- updateFrom("EMF (Core)",0) -->
+ <url>http://download.eclipse.org/modeling/emf/emf/updates/2.12milestones/</url>
+ </repository>
+ <repository>
+ <id>emft-mwe[0]</id>
+ <layout>p2</layout>
+ <!-- updateFrom("EMFT MWE",0) -->
+ <url>http://download.eclipse.org/modeling/emft/mwe/updates/milestones/S201509290600/mwe</url>
+ </repository>
+ <repository>
+ <id>emft-mwe[1]</id>
+ <layout>p2</layout>
+ <!-- updateFrom("EMFT MWE",1) -->
+ <url>http://download.eclipse.org/modeling/emft/mwe/updates/milestones/S201509290840/mwe2lang/</url>
+ </repository>
+ <repository>
+ <id>emf-transaction</id>
+ <layout>p2</layout>
+ <!-- updateFrom("EMF TRANSACTION",0) -->
+ <url>http://download.eclipse.org/modeling/emf/transaction/updates/releases/R201506010221</url>
+ </repository>
+ <repository>
+ <id>emf-validation</id>
+ <layout>p2</layout>
+ <!-- updateFrom("EMF VALIDATION",0) -->
+ <url>http://download.eclipse.org/modeling/emf/validation/updates/releases/R201505312255</url>
+ </repository>
+ <repository>
+ <id>ep</id>
+ <layout>p2</layout>
+ <!-- updateFrom("Eclipse",0) -->
+ <url>http://download.eclipse.org/eclipse/updates/4.6milestones/S-4.6M2-201509162000/</url>
+ </repository>
+ <repository>
+ <id>gef</id>
+ <layout>p2</layout>
+ <!-- updateFrom("GEF",0) -->
+ <url>http://download.eclipse.org/tools/gef/updates/milestones</url>
+ </repository>
+ <repository>
+ <id>gmp-gmf-notation</id>
+ <layout>p2</layout>
+ <!-- updateFrom("GMF Notation",0) -->
+ <url>http://download.eclipse.org/modeling/gmp/gmf-notation/updates/releases/R201505312221</url>
+ </repository>
+ <repository>
+ <id>gmp-gmf-runtime</id>
+ <layout>p2</layout>
+ <!-- updateFrom("GMF Runtime",0) -->
+ <url>http://download.eclipse.org/modeling/gmp/gmf-runtime/updates/releases/R201506060219</url>
+ </repository>
+ <repository>
+ <id>gmf-tooling</id>
+ <layout>p2</layout>
+ <!-- updateFrom("GMF Tooling",0) -->
+ <url>http://download.eclipse.org/modeling/gmp/gmf-tooling/updates/milestones-3.3/S201506090500</url>
+ </repository>
+ <repository>
+ <id>m2t-xpand</id>
+ <layout>p2</layout>
+ <!-- updateFrom("M2T XPAND",0) -->
+ <url>http://download.eclipse.org/modeling/m2t/xpand/updates/milestones/S201509290912/</url>
+ </repository>
+ <repository>
+ <id>mdt-ocl</id>
+ <layout>p2</layout>
+ <!-- updateFrom("MDT OCL 6.0",0) -->
+ <url>http://download.eclipse.org/modeling/mdt/ocl/updates/milestones/6.1.0/S201509281333</url>
+ </repository>
+ <repository>
+ <id>mdt-uml2</id>
+ <layout>p2</layout>
+ <!-- updateFrom("MDT UML2",0) -->
+ <url>http://download.eclipse.org/modeling/mdt/uml2/updates/5.1</url>
+ </repository>
+ <repository>
+ <id>mmt-qvto</id>
+ <layout>p2</layout>
+ <!-- updateFrom("QVT Operational",0) -->
+ <url>http://download.eclipse.org/mmt/qvto/updates/releases/3.5.0</url>
+ </repository>
+ <repository>
+ <id>nattable</id>
+ <layout>p2</layout>
+ <!-- manualUpdate -->
+ <url>${nattable.repo.url}</url>
+ </repository>
+
<!-- Bug 468668: Reinstate and update this when the TableCombo has a new release for Mars or later.
<repository>
<id>nebula-tablecombo</id>
<layout>p2</layout>
<url>http://download.eclipse.org/technology/nebula/archives/Q12015/release/</url>
</repository>
- -->
-
- <repository>
- <id>orbit</id>
- <layout>p2</layout>
- <!-- manualUpdate -->
- <url>${orbit.repo.url}</url>
- </repository>
- <repository>
- <id>tmf-xtext</id>
- <layout>p2</layout>
- <!-- updateFrom("Xtext, Xtend",0) -->
- <url>http://download.eclipse.org/modeling/tmf/xtext/updates/milestones/head/I201509281643/</url>
- </repository>
- <repository>
- <id>webtools</id>
- <layout>p2</layout>
- <!-- updateFrom("WebTools",0) -->
- <url>http://download.eclipse.org/webtools/downloads/drops/R3.8.0/S-3.8.0M1-20150818010140/repository/</url>
- </repository>
- <repository>
- <id>XWT</id>
- <layout>p2</layout>
- <!-- updateFrom("XWT",0) -->
- <url>http://download.eclipse.org/xwt/release-1.1.0</url>
- </repository>
- <repository>
- <id>subversive</id>
- <layout>p2</layout>
- <!-- updateFrom("Subversive",0) -->
- <url>http://download.eclipse.org/technology/subversive/3.0/neon-site/</url>
- </repository>
- </repositories>
- <build>
- <pluginManagement>
- <plugins>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-resources-plugin</artifactId>
- <version>2.6</version>
- <configuration>
- <encoding>UTF-8</encoding>
- </configuration>
- </plugin>
- <plugin>
- <groupId>org.apache.maven.plugins</groupId>
- <artifactId>maven-clean-plugin</artifactId>
- <version>2.6</version>
- </plugin>
- <plugin>
- <groupId>org.eclipse.xtend</groupId>
- <artifactId>xtend-maven-plugin</artifactId>
- <version>${xtext.version}</version>
- </plugin>
- </plugins>
- </pluginManagement>
- </build>
-</project>
+ -->
+
+ <repository>
+ <id>orbit</id>
+ <layout>p2</layout>
+ <!-- manualUpdate -->
+ <url>${orbit.repo.url}</url>
+ </repository>
+ <repository>
+ <id>tmf-xtext</id>
+ <layout>p2</layout>
+ <!-- updateFrom("Xtext, Xtend",0) -->
+ <url>http://download.eclipse.org/modeling/tmf/xtext/updates/milestones/head/I201509281643/</url>
+ </repository>
+ <repository>
+ <id>webtools</id>
+ <layout>p2</layout>
+ <!-- updateFrom("WebTools",0) -->
+ <url>http://download.eclipse.org/webtools/downloads/drops/R3.8.0/S-3.8.0M1-20150818010140/repository/</url>
+ </repository>
+ <repository>
+ <id>XWT</id>
+ <layout>p2</layout>
+ <!-- updateFrom("XWT",0) -->
+ <url>http://download.eclipse.org/xwt/release-1.1.0</url>
+ </repository>
+ <repository>
+ <id>subversive</id>
+ <layout>p2</layout>
+ <!-- updateFrom("Subversive",0) -->
+ <url>http://download.eclipse.org/technology/subversive/3.0/neon-site/</url>
+ </repository>
+ </repositories>
+ <build>
+ <pluginManagement>
+ <plugins>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-resources-plugin</artifactId>
+ <version>2.6</version>
+ <configuration>
+ <encoding>UTF-8</encoding>
+ </configuration>
+ </plugin>
+ <plugin>
+ <groupId>org.apache.maven.plugins</groupId>
+ <artifactId>maven-clean-plugin</artifactId>
+ <version>2.6</version>
+ </plugin>
+ <plugin>
+ <groupId>org.eclipse.xtend</groupId>
+ <artifactId>xtend-maven-plugin</artifactId>
+ <version>${xtext.version}</version>
+ </plugin>
+ </plugins>
+ </pluginManagement>
+ </build>
+</project>
diff --git a/tests/junit/plugins/developer/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java b/tests/junit/plugins/developer/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java
index 2f84f073f3c..7e587b90774 100644
--- a/tests/junit/plugins/developer/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java
+++ b/tests/junit/plugins/developer/org.eclipse.papyrus.bundles.tests/src/org/eclipse/papyrus/bundles/tests/BundlesTests.java
@@ -1,531 +1,531 @@
-/*****************************************************************************
- * Copyright (c) 2012, 2015 CEA LIST, Christian W. Damus, and others.
- *
- *
- * All rights reserved. This program and the accompanying materials
- * are made available under the terms of the Eclipse Public License v1.0
- * which accompanies this distribution, and is available at
- * http://www.eclipse.org/legal/epl-v10.html
- *
- * Contributors:
- * Vincent Lorenzo (CEA LIST) Vincent.Lorenzo@cea.fr - Initial API and implementation
- * Christian W. Damus - Skip the feature-version test when running in development mode
- * Christian W. Damus - bug 433206
- *
- *****************************************************************************/
-package org.eclipse.papyrus.bundles.tests;
-
-import java.lang.reflect.Field;
-import java.net.URL;
-import java.util.ArrayList;
-import java.util.Collection;
-import java.util.List;
-import java.util.regex.Matcher;
-import java.util.regex.Pattern;
-
-import org.eclipse.osgi.util.NLS;
-import org.eclipse.papyrus.junit.framework.classification.InvalidTest;
-import org.eclipse.papyrus.junit.framework.classification.NotImplemented;
-import org.eclipse.papyrus.junit.framework.classification.rules.Condition;
-import org.eclipse.papyrus.junit.framework.classification.rules.Conditional;
-import org.eclipse.papyrus.junit.framework.classification.tests.AbstractPapyrusTest;
-import org.eclipse.papyrus.junit.utils.JUnitUtils;
-import org.eclipse.pde.internal.core.feature.Feature;
-import org.hamcrest.BaseMatcher;
-import org.hamcrest.Description;
-import org.junit.Assert;
-import org.junit.Test;
-import org.osgi.framework.Bundle;
-
-/**
- * suppress restriction for org.eclipse.pde.internal.core.feature.Feature;
- *
- * @author VL222926
- *
- */
-public class BundlesTests extends AbstractPapyrusTest {
-
- // Transform the version number to the regex format
- // Adds .* (Valid version numbers are e.g. 0.10.1.qualifier)
- private static final String REGEX_VERSION_NUMBER = BundleTestsUtils.PAPYRUS_VERSION.replaceAll("\\.", "\\\\.") + "\\..*"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
-
- // Indicates that the bundle name must contain the (Incubation) string
- // private static final String REGEX_INCUBATION = ".*\\(Incubation\\)"; //$NON-NLS-1$
-
- private static final String INCUBATION_KEYWORD = "(Incubation)"; //$NON-NLS-1$
-
- private static final String BATIK_VERSION = "[1.6.0,1.7.0)"; //$NON-NLS-1$
-
- private static final String NATTABLE_VERSION = "1.2.0"; //$NON-NLS-1$
-
- private static final String GLAZED_LIST_VERSION = "1.9.0";//$NON-NLS-1$
-
- private static final String PAPYRUS_VERSION = BundleTestsUtils.PAPYRUS_VERSION;
-
- @Condition
- public final boolean isAutomatedBuild = JUnitUtils.isAutomatedBuildExecution();
-
- @Test
- @Conditional(key = "isAutomatedBuild")
- public void featureVersionNumberTest() {
- StringBuffer message = new StringBuffer("Wrong version number for the features:"); //$NON-NLS-1$
- int nbProblem = 0;
- final List<Feature> features = BundleTestsUtils.getPapyrusFeature();
- for (final Feature feature : features) {
- String version = feature.getVersion();
- if (!version.matches(REGEX_VERSION_NUMBER)) {
- message.append("\n"); //$NON-NLS-1$
- message.append(feature.getId());
- nbProblem++;
- }
- }
- StringBuffer errorMessage = new StringBuffer();
- errorMessage.append(nbProblem);
- errorMessage.append("problems!\n");//$NON-NLS-1$
- errorMessage.append(message.toString());
- Assert.assertTrue(errorMessage.toString(), nbProblem == 0);
- }
-
- /**
- * Tests that all Papyrus Bundle name are finished by {@link #INCUBATION}
- */
- @InvalidTest("Some Papyrus bundles are still incubating (Extra...)")
- @Test
- public void incubationTest() {
- org.hamcrest.Matcher<String> matcher = new BaseMatcher<String>() {
-
- @Override
- public boolean matches(Object item) {
- return item instanceof String && !((String) item).contains(INCUBATION_KEYWORD);
- }
-
- @Override
- public void describeTo(Description description) {
- description.appendText("Does not contain ");
- description.appendText(INCUBATION_KEYWORD);
- }
- };
- testManifestProperty(BundleTestsUtils.BUNDLE_NAME, matcher, false, false);
- }
-
- /**
- * Tests the provider name (should be EL
- */
- @Test
- public void vendorTest() {
- testManifestProperty(BundleTestsUtils.BUNDLE_VENDOR, BundleTestsUtils.VENDOR_NAME, false, false);
- }
-
- /**
- * Tests that each papyrus plugins have the correct version
- */
- @InvalidTest("FIXME: add exceptions for incubating extra plug-ins, which have a different version")
- @Test
- public void versionTest() {
- testManifestProperty(BundleTestsUtils.BUNDLE_VERSION, REGEX_VERSION_NUMBER, false, false);
- }
-
- /**
- * Tests if the file about.html is included to the plugin
- */
- @Test
- public void aboutTest() {
- fileTest("/about.html"); //$NON-NLS-1$
- }
-
- /**
- * Tests the java version
- */
- @Test
- public void javaVersionTest() {
- testManifestProperty(BundleTestsUtils.BUNDLE_REQUIREDEXECUTIONENVIRONMENT, BundleTestsUtils.JAVA_VERSION_REGEX, false, true);
- }
-
- /**
- * Tests that we don't use import package
- */
- @NotImplemented("Usage of importPackage is discouraged")
- @Test
- public void importPackage() {
- testManifestProperty(BundleTestsUtils.BUNDLE_IMPORT_PACKAGE, "", true, false); //$NON-NLS-1$
- }
-
- /**
- * This test verify that we doesn't re-export dependencies
- */
- @NotImplemented("Usage of reexported dependencies is discouraged")
- @Test
- public void reexportDependencies() {
- StringBuffer message = new StringBuffer();
- int nb = 0;
- for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
- final String value = current.getHeaders().get(BundleTestsUtils.REQUIRE_BUNDLE);
- if (value == null) {
- continue;
- }
- final String[] bundles = value.split(","); //$NON-NLS-1$
- StringBuffer localMessage = new StringBuffer();
- for (final String bundle : bundles) {
- if (bundle.contains("visibility:=reexport")) { //$NON-NLS-1$
- nb++;
- if (localMessage.length() == 0) {
- localMessage.append(NLS.bind("{0} re-exports:", current.getSymbolicName())); //$NON-NLS-1$
- }
- if (bundle.contains(";")) { //$NON-NLS-1$
- localMessage.append(NLS.bind("\n - {0}", bundle.substring(0, bundle.indexOf(";")))); //$NON-NLS-1$ //$NON-NLS-2$
- } else {
- localMessage.append(NLS.bind("\n - {0}", bundle)); //$NON-NLS-1$
- }
- }
- }
- if (localMessage.length() != 0) {
- message.append(localMessage);
- message.append("\n");//$NON-NLS-1$
- }
- }
- StringBuffer errorMessage = new StringBuffer();
- errorMessage.append(nb);
- errorMessage.append(" problems!");//$NON-NLS-1$
- errorMessage.append(message);
- Assert.assertTrue(errorMessage.toString(), nb == 0);
- }
-
- /**
- * Tests if a the value of a property in the Manifest is correct
- *
- * @param property
- * the property to test
- * @param regex
- * the regular expression to test the property
- * @param mustBeNull
- * indicates that the value for the property must be <code>null</code>
- * @param onlyOnJavaProject
- * boolean indicating if the tests should only be done on
- * JavaProject
- */
- private void testManifestProperty(final String property, final String regex, final boolean mustBeNull, final boolean onlyOnJavaProject) {
- org.hamcrest.Matcher<String> regexMatcher = new org.hamcrest.BaseMatcher<String>() {
-
- @Override
- public boolean matches(Object item) {
- return item instanceof String && ((String) item).matches(regex);
- }
-
- @Override
- public void describeTo(Description description) {
- description.appendText("Matching regex(");
- description.appendValue(regex);
- description.appendText(")");
- }
-
- };
-
- testManifestProperty(property, regexMatcher, mustBeNull, onlyOnJavaProject);
- }
-
- private void testManifestProperty(final String property, final org.hamcrest.Matcher<String> matcher, final boolean mustBeNull, final boolean onlyOnJavaProject) {
- String message = null;
- int nb = 0;
- for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
- if (onlyOnJavaProject && !BundleTestsUtils.isJavaProject(current)) {
- continue; // useful for oep.infra.gmfdiag.css.theme for example
- }
- final String value = current.getHeaders().get(property);
- boolean result = false;
- if (mustBeNull) {
- result = (value == null);
- } else if (value != null) {
- result = matcher.matches(value); // Don't fail yet if invalid
- }
- if (!result) {
- if (message == null) {
- message = "Wrong " + property + " for :"; //$NON-NLS-1$ //$NON-NLS-2$
- }
- message += "\n "; //$NON-NLS-1$
- message += current.getSymbolicName();
- nb++;
- }
- }
- Assert.assertNull(nb + " problems!", message); //$NON-NLS-1$
- }
-
- /**
- * Tests if the file is owned by the bundle
- *
- * @param filepath
- * the file path
- */
- private void fileTest(final String filepath) {
- StringBuffer buffer = new StringBuffer();
- int nb = 0;
- for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
- URL url = current.getEntry(filepath);
- if (url == null) {
- if (buffer.length() == 0) {
- buffer.append(NLS.bind("The following bundles don't have the file {0}.", filepath)); //$NON-NLS-1$
- }
- buffer.append("\n");//$NON-NLS-1$
- buffer.append(current.getSymbolicName());
- nb++;
- }
- }
- StringBuffer errorMessage = new StringBuffer();
- errorMessage.append(nb);
- errorMessage.append(" problems!\n"); //$NON-NLS-1$
- errorMessage.append(buffer.toString());
- Assert.assertTrue(errorMessage.toString(), buffer.toString().isEmpty());
- }
-
- /**
- * We want that all Papyrus dependencies in the Papyrus plugin will be
- * define
- */
- @InvalidTest("FIXME: add exceptions for incubating extra plug-ins, which have a different version")
- @Test
- public void papyrusDependencyVersionTest() {
- testPapyrusDependencies2("org.eclipse.papyrus", PAPYRUS_VERSION);//$NON-NLS-1$
- }
-
- /**
- * We want that all Papyrus batik dependencies will be defines
- */
- @Test
- public void batikDependencyVersionTest() {
- testPapyrusDependencies2("org.apache.batik", BATIK_VERSION);//$NON-NLS-1$
- }
-
- @Test
- public void natTableDependencyVersionTest() {
- testPapyrusDependencies2("org.eclipse.nebula.widgets.nattable", NATTABLE_VERSION);//$NON-NLS-1$
- }
-
- @Test
- public void glazedListDependencyVersionTest() {
- testPapyrusDependencies2("ca.odell.glazedlists", NATTABLE_VERSION);//$NON-NLS-1$
- }
-
- @Test
- public void guavaDependencyVersionText() {
- testPapyrusDependencies2("com.google.guava", "11.0.0");//$NON-NLS-1$ //$NON-NLS-2$
- }
-
- public final static String REGEX_PACKAGE_WORD = "\\w(?:\\w|\\d)*";// match a //$NON-NLS-1$
- // package
- // name
-
- public static final String REGEX_PLUGIN = "(?:\\." + REGEX_PACKAGE_WORD + ")*";// match plugin name //$NON-NLS-1$ //$NON-NLS-2$
-
- public static final String REGEX_DEPENDENCY = "(?:;bundle-version=\"([^\"]*)\")?"; //$NON-NLS-1$
-
- public static class Version {
-
- private boolean minIncluding;
-
- private boolean maxIncluding;
-
- private int[] min = null;
-
- private int[] max = null;
-
- public Version(final String versionAsString) {
- this.minIncluding = true;
- this.maxIncluding = true;
- if (versionAsString != null) {
- this.minIncluding = !versionAsString.startsWith("("); //$NON-NLS-1$
- this.maxIncluding = !versionAsString.endsWith(")"); //$NON-NLS-1$
- final Pattern versionNumber = Pattern.compile("\\d+(\\.\\d+)*"); //$NON-NLS-1$
- final Matcher matcher = versionNumber.matcher(versionAsString);
- while (matcher.find()) {
- final String grp = matcher.group();
- final String[] versions = grp.split("\\."); //$NON-NLS-1$
- int[] vers = new int[versions.length];
- for (int i = 0; i < versions.length; i++) {
- vers[i] = Integer.parseInt(versions[i]);
- }
- if (min == null) {
- min = vers;
- } else {
- max = vers;
- }
- }
- }
- if (min == null) {
- min = new int[] { 0, 0, 0 };
- }
- if (max == null) {
- max = new int[] { 99, 99, 99 };
- }
- }
-
- public boolean inIncludedIn(final Version version) {
- // verifying intersection between versions!
- if (compare(this.max, version.min) < 0) {
- return false;
- }
- if (compare(version.max, this.min) < 0) {
- return false;
- }
- if (compare(this.max, version.min) == 0 && (!this.maxIncluding || !version.minIncluding)) {
- return false;
- }
- if (compare(version.max, this.min) == 0 && (!version.maxIncluding || !this.minIncluding)) {
- return false;
- }
-
- // verifying inclusion
- if (compare(this.min, version.min) < 0) {
- return false;
- }
-
- if (compare(this.min, version.min) == 0 && (this.minIncluding != version.minIncluding)) {
- return false;
- }
-
- if (compare(this.max, version.max) > 0) {
- return false;
- }
-
- if (compare(this.max, version.max) == 0 && (this.maxIncluding != version.maxIncluding)) {
- return false;
- }
- return true;
- }
-
- /**
- *
- * @param first
- * @param second
- * @return
- * <ul>
- * <li>0 when they are equal</li>
- * <li>1 if first is greater than second</li>
- * <li>-1 if first is smaller than second</li>
- * </ul>
- */
- protected int compare(int[] first, int[] second) {
- int min = Math.min(first.length, second.length);
- for (int i = 0; i < min; i++) {
- if (first[i] < second[i]) {
- return -1;
- } else if (first[i] > second[i]) {
- return 1;
- }
- }
- if (first.length == second.length) {
- return 0;
- } else if (first.length > second.length) {
- return 1;
- }
- return -1;
- }
- }
-
- /**
- *
- * @param partialDependencyName
- * the fullName or a part of the name of the plugin
- * @param wantedBundleVersionRegex
- * a string like this : "bundle-version=\"[1.6.0,1.7.0)\")"
- */
- protected void testPapyrusDependencies2(final String partialDependencyName, final String wantedVersion) {
- final StringBuilder builder = new StringBuilder();
- int nb = 0;
- final Version wanted = new Version(wantedVersion);
- for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
- final String value = current.getHeaders().get(BundleTestsUtils.REQUIRE_BUNDLE);
- if (value == null) {
- continue;
- }
- Pattern pattern = Pattern.compile("(" + partialDependencyName + REGEX_PLUGIN + ")" + REGEX_DEPENDENCY); //$NON-NLS-1$ //$NON-NLS-2$
- Matcher matcher = pattern.matcher(value);
- final StringBuilder localBuilder = new StringBuilder();
- while (matcher.find()) {
- final String pluginName = matcher.group(1);
- String versionString = null;
- if (matcher.groupCount() > 1) {
- versionString = matcher.group(2);
- }
- if (versionString == null) {
- if (localBuilder.length() == 0) {
- localBuilder.append(NLS.bind("{0} incorrect required bundle-version:\n", current.getSymbolicName())); //$NON-NLS-1$
- }
- localBuilder.append(NLS.bind("No Version number for {0}\n", pluginName)); //$NON-NLS-1$
- nb++;
- } else {
- Version version = new Version(versionString);
- if (!version.inIncludedIn(wanted)) {
- if (localBuilder.length() == 0) {
- localBuilder.append(NLS.bind("{0} incorrect required bundle-version:\n", current.getSymbolicName())); //$NON-NLS-1$
- }
- localBuilder.append(NLS.bind("Bad version for {0}\n", pluginName)); //$NON-NLS-1$
- nb++;
- }
- }
- }
- if (localBuilder.length() != 0) {
- builder.append(localBuilder.toString());
- builder.append("\n");//$NON-NLS-1$
- }
- }
- if (builder.length() != 0) {
- builder.insert(0, NLS.bind("{0} problems. We want this version : {1} for the plugin {2}\n", new String[] { Integer.toString(nb), wantedVersion, partialDependencyName })); //$NON-NLS-1$
- }
- Assert.assertTrue(builder.toString(), builder.length() == 0);
- }
-
- /**
- * verify that the field PLUGIN_ID is equals to the plugin name
- */
- @Test
- public void pluginIDTest() {
- StringBuffer errorMessage = new StringBuffer();
- StringBuffer warningMessage = new StringBuffer();
- final Collection<String> possibleIds = new ArrayList<String>();
- possibleIds.add("ID");//$NON-NLS-1$
- possibleIds.add("PLUGIN_ID");//$NON-NLS-1$
- int nbError = 0;
- int nbWarning = 0;
- for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
- if (!BundleTestsUtils.isJavaProject(current)) {
- continue; // useful for oep.infra.gmfdiag.css.theme for example
- }
- final String activator = current.getHeaders().get("Bundle-Activator"); //$NON-NLS-1$
- if (activator != null) {
- try {
- final Class<?> activatorClass = current.loadClass(activator);
- Field plugin_id_field = null;
- for (final Field currentField : activatorClass.getFields()) {
- final String fieldName = currentField.getName();
- if (possibleIds.contains(fieldName)) {
- plugin_id_field = currentField;
- break;
- }
- }
- if (plugin_id_field != null) {
- final String plugin_id = (String) plugin_id_field.get(activatorClass);
- if (!plugin_id.equals(current.getSymbolicName())) {
- nbError++;
- errorMessage.append(NLS.bind("The field PLUGIN_ID of the plugin {0} is not equals to the plugin name.\n", current.getSymbolicName())); //$NON-NLS-1$
- }
- } else {
- // Never happens. An exception is thrown.
- nbWarning++;
- warningMessage.append(NLS.bind("The activator of {0} has no field named PLUGIN_ID.\n", current.getSymbolicName())); //$NON-NLS-1$
- }
- } catch (final Exception e) {
- errorMessage.append(NLS.bind("Exception occured with the plugin {0} \n {1} \n", new Object[] { current.getSymbolicName(), e })); //$NON-NLS-1$
- }
- }
-
- }
- StringBuffer finalErrorMessage = new StringBuffer();
- finalErrorMessage.append(nbError);
- finalErrorMessage.append(" problems! ");//$NON-NLS-1$
- finalErrorMessage.append(errorMessage);
- Assert.assertTrue(finalErrorMessage.toString(), nbError == 0);
-
- // Do not fail on warnings
- // Assert.assertTrue(nbWarning + "warning!" + warningMessage, nbWarning == 0);//$NON-NLS-1$
- }
-
-}
+/*****************************************************************************
+ * Copyright (c) 2012, 2015 CEA LIST, Christian W. Damus, and others.
+ *
+ *
+ * All rights reserved. This program and the accompanying materials
+ * are made available under the terms of the Eclipse Public License v1.0
+ * which accompanies this distribution, and is available at
+ * http://www.eclipse.org/legal/epl-v10.html
+ *
+ * Contributors:
+ * Vincent Lorenzo (CEA LIST) Vincent.Lorenzo@cea.fr - Initial API and implementation
+ * Christian W. Damus - Skip the feature-version test when running in development mode
+ * Christian W. Damus - bug 433206
+ *
+ *****************************************************************************/
+package org.eclipse.papyrus.bundles.tests;
+
+import java.lang.reflect.Field;
+import java.net.URL;
+import java.util.ArrayList;
+import java.util.Collection;
+import java.util.List;
+import java.util.regex.Matcher;
+import java.util.regex.Pattern;
+
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.papyrus.junit.framework.classification.InvalidTest;
+import org.eclipse.papyrus.junit.framework.classification.NotImplemented;
+import org.eclipse.papyrus.junit.framework.classification.rules.Condition;
+import org.eclipse.papyrus.junit.framework.classification.rules.Conditional;
+import org.eclipse.papyrus.junit.framework.classification.tests.AbstractPapyrusTest;
+import org.eclipse.papyrus.junit.utils.JUnitUtils;
+import org.eclipse.pde.internal.core.feature.Feature;
+import org.hamcrest.BaseMatcher;
+import org.hamcrest.Description;
+import org.junit.Assert;
+import org.junit.Test;
+import org.osgi.framework.Bundle;
+
+/**
+ * suppress restriction for org.eclipse.pde.internal.core.feature.Feature;
+ *
+ * @author VL222926
+ *
+ */
+public class BundlesTests extends AbstractPapyrusTest {
+
+ // Transform the version number to the regex format
+ // Adds .* (Valid version numbers are e.g. 0.10.1.qualifier)
+ private static final String REGEX_VERSION_NUMBER = BundleTestsUtils.PAPYRUS_VERSION.replaceAll("\\.", "\\\\.") + "\\..*"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+
+ // Indicates that the bundle name must contain the (Incubation) string
+ // private static final String REGEX_INCUBATION = ".*\\(Incubation\\)"; //$NON-NLS-1$
+
+ private static final String INCUBATION_KEYWORD = "(Incubation)"; //$NON-NLS-1$
+
+ private static final String BATIK_VERSION = "[1.6.0,1.7.0)"; //$NON-NLS-1$
+
+ private static final String NATTABLE_VERSION = "1.3.0"; //$NON-NLS-1$
+
+ private static final String GLAZED_LIST_VERSION = "1.9.0";//$NON-NLS-1$
+
+ private static final String PAPYRUS_VERSION = BundleTestsUtils.PAPYRUS_VERSION;
+
+ @Condition
+ public final boolean isAutomatedBuild = JUnitUtils.isAutomatedBuildExecution();
+
+ @Test
+ @Conditional(key = "isAutomatedBuild")
+ public void featureVersionNumberTest() {
+ StringBuffer message = new StringBuffer("Wrong version number for the features:"); //$NON-NLS-1$
+ int nbProblem = 0;
+ final List<Feature> features = BundleTestsUtils.getPapyrusFeature();
+ for (final Feature feature : features) {
+ String version = feature.getVersion();
+ if (!version.matches(REGEX_VERSION_NUMBER)) {
+ message.append("\n"); //$NON-NLS-1$
+ message.append(feature.getId());
+ nbProblem++;
+ }
+ }
+ StringBuffer errorMessage = new StringBuffer();
+ errorMessage.append(nbProblem);
+ errorMessage.append("problems!\n");//$NON-NLS-1$
+ errorMessage.append(message.toString());
+ Assert.assertTrue(errorMessage.toString(), nbProblem == 0);
+ }
+
+ /**
+ * Tests that all Papyrus Bundle name are finished by {@link #INCUBATION}
+ */
+ @InvalidTest("Some Papyrus bundles are still incubating (Extra...)")
+ @Test
+ public void incubationTest() {
+ org.hamcrest.Matcher<String> matcher = new BaseMatcher<String>() {
+
+ @Override
+ public boolean matches(Object item) {
+ return item instanceof String && !((String) item).contains(INCUBATION_KEYWORD);
+ }
+
+ @Override
+ public void describeTo(Description description) {
+ description.appendText("Does not contain ");
+ description.appendText(INCUBATION_KEYWORD);
+ }
+ };
+ testManifestProperty(BundleTestsUtils.BUNDLE_NAME, matcher, false, false);
+ }
+
+ /**
+ * Tests the provider name (should be EL
+ */
+ @Test
+ public void vendorTest() {
+ testManifestProperty(BundleTestsUtils.BUNDLE_VENDOR, BundleTestsUtils.VENDOR_NAME, false, false);
+ }
+
+ /**
+ * Tests that each papyrus plugins have the correct version
+ */
+ @InvalidTest("FIXME: add exceptions for incubating extra plug-ins, which have a different version")
+ @Test
+ public void versionTest() {
+ testManifestProperty(BundleTestsUtils.BUNDLE_VERSION, REGEX_VERSION_NUMBER, false, false);
+ }
+
+ /**
+ * Tests if the file about.html is included to the plugin
+ */
+ @Test
+ public void aboutTest() {
+ fileTest("/about.html"); //$NON-NLS-1$
+ }
+
+ /**
+ * Tests the java version
+ */
+ @Test
+ public void javaVersionTest() {
+ testManifestProperty(BundleTestsUtils.BUNDLE_REQUIREDEXECUTIONENVIRONMENT, BundleTestsUtils.JAVA_VERSION_REGEX, false, true);
+ }
+
+ /**
+ * Tests that we don't use import package
+ */
+ @NotImplemented("Usage of importPackage is discouraged")
+ @Test
+ public void importPackage() {
+ testManifestProperty(BundleTestsUtils.BUNDLE_IMPORT_PACKAGE, "", true, false); //$NON-NLS-1$
+ }
+
+ /**
+ * This test verify that we doesn't re-export dependencies
+ */
+ @NotImplemented("Usage of reexported dependencies is discouraged")
+ @Test
+ public void reexportDependencies() {
+ StringBuffer message = new StringBuffer();
+ int nb = 0;
+ for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
+ final String value = current.getHeaders().get(BundleTestsUtils.REQUIRE_BUNDLE);
+ if (value == null) {
+ continue;
+ }
+ final String[] bundles = value.split(","); //$NON-NLS-1$
+ StringBuffer localMessage = new StringBuffer();
+ for (final String bundle : bundles) {
+ if (bundle.contains("visibility:=reexport")) { //$NON-NLS-1$
+ nb++;
+ if (localMessage.length() == 0) {
+ localMessage.append(NLS.bind("{0} re-exports:", current.getSymbolicName())); //$NON-NLS-1$
+ }
+ if (bundle.contains(";")) { //$NON-NLS-1$
+ localMessage.append(NLS.bind("\n - {0}", bundle.substring(0, bundle.indexOf(";")))); //$NON-NLS-1$ //$NON-NLS-2$
+ } else {
+ localMessage.append(NLS.bind("\n - {0}", bundle)); //$NON-NLS-1$
+ }
+ }
+ }
+ if (localMessage.length() != 0) {
+ message.append(localMessage);
+ message.append("\n");//$NON-NLS-1$
+ }
+ }
+ StringBuffer errorMessage = new StringBuffer();
+ errorMessage.append(nb);
+ errorMessage.append(" problems!");//$NON-NLS-1$
+ errorMessage.append(message);
+ Assert.assertTrue(errorMessage.toString(), nb == 0);
+ }
+
+ /**
+ * Tests if a the value of a property in the Manifest is correct
+ *
+ * @param property
+ * the property to test
+ * @param regex
+ * the regular expression to test the property
+ * @param mustBeNull
+ * indicates that the value for the property must be <code>null</code>
+ * @param onlyOnJavaProject
+ * boolean indicating if the tests should only be done on
+ * JavaProject
+ */
+ private void testManifestProperty(final String property, final String regex, final boolean mustBeNull, final boolean onlyOnJavaProject) {
+ org.hamcrest.Matcher<String> regexMatcher = new org.hamcrest.BaseMatcher<String>() {
+
+ @Override
+ public boolean matches(Object item) {
+ return item instanceof String && ((String) item).matches(regex);
+ }
+
+ @Override
+ public void describeTo(Description description) {
+ description.appendText("Matching regex(");
+ description.appendValue(regex);
+ description.appendText(")");
+ }
+
+ };
+
+ testManifestProperty(property, regexMatcher, mustBeNull, onlyOnJavaProject);
+ }
+
+ private void testManifestProperty(final String property, final org.hamcrest.Matcher<String> matcher, final boolean mustBeNull, final boolean onlyOnJavaProject) {
+ String message = null;
+ int nb = 0;
+ for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
+ if (onlyOnJavaProject && !BundleTestsUtils.isJavaProject(current)) {
+ continue; // useful for oep.infra.gmfdiag.css.theme for example
+ }
+ final String value = current.getHeaders().get(property);
+ boolean result = false;
+ if (mustBeNull) {
+ result = (value == null);
+ } else if (value != null) {
+ result = matcher.matches(value); // Don't fail yet if invalid
+ }
+ if (!result) {
+ if (message == null) {
+ message = "Wrong " + property + " for :"; //$NON-NLS-1$ //$NON-NLS-2$
+ }
+ message += "\n "; //$NON-NLS-1$
+ message += current.getSymbolicName();
+ nb++;
+ }
+ }
+ Assert.assertNull(nb + " problems!", message); //$NON-NLS-1$
+ }
+
+ /**
+ * Tests if the file is owned by the bundle
+ *
+ * @param filepath
+ * the file path
+ */
+ private void fileTest(final String filepath) {
+ StringBuffer buffer = new StringBuffer();
+ int nb = 0;
+ for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
+ URL url = current.getEntry(filepath);
+ if (url == null) {
+ if (buffer.length() == 0) {
+ buffer.append(NLS.bind("The following bundles don't have the file {0}.", filepath)); //$NON-NLS-1$
+ }
+ buffer.append("\n");//$NON-NLS-1$
+ buffer.append(current.getSymbolicName());
+ nb++;
+ }
+ }
+ StringBuffer errorMessage = new StringBuffer();
+ errorMessage.append(nb);
+ errorMessage.append(" problems!\n"); //$NON-NLS-1$
+ errorMessage.append(buffer.toString());
+ Assert.assertTrue(errorMessage.toString(), buffer.toString().isEmpty());
+ }
+
+ /**
+ * We want that all Papyrus dependencies in the Papyrus plugin will be
+ * define
+ */
+ @InvalidTest("FIXME: add exceptions for incubating extra plug-ins, which have a different version")
+ @Test
+ public void papyrusDependencyVersionTest() {
+ testPapyrusDependencies2("org.eclipse.papyrus", PAPYRUS_VERSION);//$NON-NLS-1$
+ }
+
+ /**
+ * We want that all Papyrus batik dependencies will be defines
+ */
+ @Test
+ public void batikDependencyVersionTest() {
+ testPapyrusDependencies2("org.apache.batik", BATIK_VERSION);//$NON-NLS-1$
+ }
+
+ @Test
+ public void natTableDependencyVersionTest() {
+ testPapyrusDependencies2("org.eclipse.nebula.widgets.nattable", NATTABLE_VERSION);//$NON-NLS-1$
+ }
+
+ @Test
+ public void glazedListDependencyVersionTest() {
+ testPapyrusDependencies2("ca.odell.glazedlists", NATTABLE_VERSION);//$NON-NLS-1$
+ }
+
+ @Test
+ public void guavaDependencyVersionText() {
+ testPapyrusDependencies2("com.google.guava", "11.0.0");//$NON-NLS-1$ //$NON-NLS-2$
+ }
+
+ public final static String REGEX_PACKAGE_WORD = "\\w(?:\\w|\\d)*";// match a //$NON-NLS-1$
+ // package
+ // name
+
+ public static final String REGEX_PLUGIN = "(?:\\." + REGEX_PACKAGE_WORD + ")*";// match plugin name //$NON-NLS-1$ //$NON-NLS-2$
+
+ public static final String REGEX_DEPENDENCY = "(?:;bundle-version=\"([^\"]*)\")?"; //$NON-NLS-1$
+
+ public static class Version {
+
+ private boolean minIncluding;
+
+ private boolean maxIncluding;
+
+ private int[] min = null;
+
+ private int[] max = null;
+
+ public Version(final String versionAsString) {
+ this.minIncluding = true;
+ this.maxIncluding = true;
+ if (versionAsString != null) {
+ this.minIncluding = !versionAsString.startsWith("("); //$NON-NLS-1$
+ this.maxIncluding = !versionAsString.endsWith(")"); //$NON-NLS-1$
+ final Pattern versionNumber = Pattern.compile("\\d+(\\.\\d+)*"); //$NON-NLS-1$
+ final Matcher matcher = versionNumber.matcher(versionAsString);
+ while (matcher.find()) {
+ final String grp = matcher.group();
+ final String[] versions = grp.split("\\."); //$NON-NLS-1$
+ int[] vers = new int[versions.length];
+ for (int i = 0; i < versions.length; i++) {
+ vers[i] = Integer.parseInt(versions[i]);
+ }
+ if (min == null) {
+ min = vers;
+ } else {
+ max = vers;
+ }
+ }
+ }
+ if (min == null) {
+ min = new int[] { 0, 0, 0 };
+ }
+ if (max == null) {
+ max = new int[] { 99, 99, 99 };
+ }
+ }
+
+ public boolean inIncludedIn(final Version version) {
+ // verifying intersection between versions!
+ if (compare(this.max, version.min) < 0) {
+ return false;
+ }
+ if (compare(version.max, this.min) < 0) {
+ return false;
+ }
+ if (compare(this.max, version.min) == 0 && (!this.maxIncluding || !version.minIncluding)) {
+ return false;
+ }
+ if (compare(version.max, this.min) == 0 && (!version.maxIncluding || !this.minIncluding)) {
+ return false;
+ }
+
+ // verifying inclusion
+ if (compare(this.min, version.min) < 0) {
+ return false;
+ }
+
+ if (compare(this.min, version.min) == 0 && (this.minIncluding != version.minIncluding)) {
+ return false;
+ }
+
+ if (compare(this.max, version.max) > 0) {
+ return false;
+ }
+
+ if (compare(this.max, version.max) == 0 && (this.maxIncluding != version.maxIncluding)) {
+ return false;
+ }
+ return true;
+ }
+
+ /**
+ *
+ * @param first
+ * @param second
+ * @return
+ * <ul>
+ * <li>0 when they are equal</li>
+ * <li>1 if first is greater than second</li>
+ * <li>-1 if first is smaller than second</li>
+ * </ul>
+ */
+ protected int compare(int[] first, int[] second) {
+ int min = Math.min(first.length, second.length);
+ for (int i = 0; i < min; i++) {
+ if (first[i] < second[i]) {
+ return -1;
+ } else if (first[i] > second[i]) {
+ return 1;
+ }
+ }
+ if (first.length == second.length) {
+ return 0;
+ } else if (first.length > second.length) {
+ return 1;
+ }
+ return -1;
+ }
+ }
+
+ /**
+ *
+ * @param partialDependencyName
+ * the fullName or a part of the name of the plugin
+ * @param wantedBundleVersionRegex
+ * a string like this : "bundle-version=\"[1.6.0,1.7.0)\")"
+ */
+ protected void testPapyrusDependencies2(final String partialDependencyName, final String wantedVersion) {
+ final StringBuilder builder = new StringBuilder();
+ int nb = 0;
+ final Version wanted = new Version(wantedVersion);
+ for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
+ final String value = current.getHeaders().get(BundleTestsUtils.REQUIRE_BUNDLE);
+ if (value == null) {
+ continue;
+ }
+ Pattern pattern = Pattern.compile("(" + partialDependencyName + REGEX_PLUGIN + ")" + REGEX_DEPENDENCY); //$NON-NLS-1$ //$NON-NLS-2$
+ Matcher matcher = pattern.matcher(value);
+ final StringBuilder localBuilder = new StringBuilder();
+ while (matcher.find()) {
+ final String pluginName = matcher.group(1);
+ String versionString = null;
+ if (matcher.groupCount() > 1) {
+ versionString = matcher.group(2);
+ }
+ if (versionString == null) {
+ if (localBuilder.length() == 0) {
+ localBuilder.append(NLS.bind("{0} incorrect required bundle-version:\n", current.getSymbolicName())); //$NON-NLS-1$
+ }
+ localBuilder.append(NLS.bind("No Version number for {0}\n", pluginName)); //$NON-NLS-1$
+ nb++;
+ } else {
+ Version version = new Version(versionString);
+ if (!version.inIncludedIn(wanted)) {
+ if (localBuilder.length() == 0) {
+ localBuilder.append(NLS.bind("{0} incorrect required bundle-version:\n", current.getSymbolicName())); //$NON-NLS-1$
+ }
+ localBuilder.append(NLS.bind("Bad version for {0}\n", pluginName)); //$NON-NLS-1$
+ nb++;
+ }
+ }
+ }
+ if (localBuilder.length() != 0) {
+ builder.append(localBuilder.toString());
+ builder.append("\n");//$NON-NLS-1$
+ }
+ }
+ if (builder.length() != 0) {
+ builder.insert(0, NLS.bind("{0} problems. We want this version : {1} for the plugin {2}\n", new String[] { Integer.toString(nb), wantedVersion, partialDependencyName })); //$NON-NLS-1$
+ }
+ Assert.assertTrue(builder.toString(), builder.length() == 0);
+ }
+
+ /**
+ * verify that the field PLUGIN_ID is equals to the plugin name
+ */
+ @Test
+ public void pluginIDTest() {
+ StringBuffer errorMessage = new StringBuffer();
+ StringBuffer warningMessage = new StringBuffer();
+ final Collection<String> possibleIds = new ArrayList<String>();
+ possibleIds.add("ID");//$NON-NLS-1$
+ possibleIds.add("PLUGIN_ID");//$NON-NLS-1$
+ int nbError = 0;
+ int nbWarning = 0;
+ for (final Bundle current : BundleTestsUtils.getPapyrusBundles()) {
+ if (!BundleTestsUtils.isJavaProject(current)) {
+ continue; // useful for oep.infra.gmfdiag.css.theme for example
+ }
+ final String activator = current.getHeaders().get("Bundle-Activator"); //$NON-NLS-1$
+ if (activator != null) {
+ try {
+ final Class<?> activatorClass = current.loadClass(activator);
+ Field plugin_id_field = null;
+ for (final Field currentField : activatorClass.getFields()) {
+ final String fieldName = currentField.getName();
+ if (possibleIds.contains(fieldName)) {
+ plugin_id_field = currentField;
+ break;
+ }
+ }
+ if (plugin_id_field != null) {
+ final String plugin_id = (String) plugin_id_field.get(activatorClass);
+ if (!plugin_id.equals(current.getSymbolicName())) {
+ nbError++;
+ errorMessage.append(NLS.bind("The field PLUGIN_ID of the plugin {0} is not equals to the plugin name.\n", current.getSymbolicName())); //$NON-NLS-1$
+ }
+ } else {
+ // Never happens. An exception is thrown.
+ nbWarning++;
+ warningMessage.append(NLS.bind("The activator of {0} has no field named PLUGIN_ID.\n", current.getSymbolicName())); //$NON-NLS-1$
+ }
+ } catch (final Exception e) {
+ errorMessage.append(NLS.bind("Exception occured with the plugin {0} \n {1} \n", new Object[] { current.getSymbolicName(), e })); //$NON-NLS-1$
+ }
+ }
+
+ }
+ StringBuffer finalErrorMessage = new StringBuffer();
+ finalErrorMessage.append(nbError);
+ finalErrorMessage.append(" problems! ");//$NON-NLS-1$
+ finalErrorMessage.append(errorMessage);
+ Assert.assertTrue(finalErrorMessage.toString(), nbError == 0);
+
+ // Do not fail on warnings
+ // Assert.assertTrue(nbWarning + "warning!" + warningMessage, nbWarning == 0);//$NON-NLS-1$
+ }
+
+}
diff --git a/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.tests/META-INF/MANIFEST.MF
index 5fb577382c4..66fca1149ac 100644
--- a/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.tests/META-INF/MANIFEST.MF
@@ -1,26 +1,26 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.junit,
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
- org.eclipse.emf.ecore,
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.infra.nattable.tests.tests
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Localization: plugin
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.infra.nattable.tests.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: T%Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.junit,
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
+ org.eclipse.emf.ecore,
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.infra.nattable.tests.tests
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.infra.nattable.tests.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: T%Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.tests
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.tests/META-INF/MANIFEST.MF
index 1e259f5d13e..3ca59a5a938 100755
--- a/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/infra/nattable/org.eclipse.papyrus.infra.nattable.views.tests/META-INF/MANIFEST.MF
@@ -1,36 +1,36 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.junit,
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.emf.transaction;bundle-version="1.8.0",
- org.eclipse.gmf.runtime.notation.edit,
- org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.7.0",
- org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
- org.eclipse.ui.navigator;bundle-version="3.5.500"
-Export-Package: org.eclipse.papyrus.infra.nattable.views.tests,
- org.eclipse.papyrus.infra.nattable.views.tests.tests
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Localization: plugin
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.infra.nattable.views.tests.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.views.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.junit,
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.emf.transaction;bundle-version="1.8.0",
+ org.eclipse.gmf.runtime.notation.edit,
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.commands.core;bundle-version="1.7.0",
+ org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
+ org.eclipse.ui.navigator;bundle-version="3.5.500"
+Export-Package: org.eclipse.papyrus.infra.nattable.views.tests,
+ org.eclipse.papyrus.infra.nattable.views.tests.tests
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.infra.nattable.views.tests.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.infra.nattable.views.tests
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.tests/META-INF/MANIFEST.MF
index 5243f09e797..f48ec7af260 100755
--- a/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.allocation.tests/META-INF/MANIFEST.MF
@@ -1,28 +1,28 @@
-Manifest-Version: 1.0
-Require-Bundle: org.junit;bundle-version="4.11.0",
- org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.emf.transaction;bundle-version="1.8.0",
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.sysml.nattable.allocation.tests,
- org.eclipse.papyrus.sysml.nattable.allocation.tests.tests
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.sysml.nattable.allocation.tests.Activator
-Bundle-Description: %Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.allocation.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.junit;bundle-version="4.11.0",
+ org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.emf.transaction;bundle-version="1.8.0",
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.sysml.nattable.allocation.tests,
+ org.eclipse.papyrus.sysml.nattable.allocation.tests.tests
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.nattable.allocation.tests.Activator
+Bundle-Description: %Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.allocation.tests
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement.tests/META-INF/MANIFEST.MF
index b5cd931f37d..2a0b7abc950 100644
--- a/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/sysml/nattable/org.eclipse.papyrus.sysml.nattable.requirement.tests/META-INF/MANIFEST.MF
@@ -1,44 +1,44 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.junit,
- org.eclipse.uml2.uml;bundle-version="4.1.0",
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
- org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
- org.eclipse.emf.transaction,
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.nattable.requirement;bundle-version="1.2.0",
- org.eclipse.papyrus.sysml.nattable.requirement.config;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.emf.core;bundle-version="1.7.0",
- org.eclipse.gmf.runtime.emf.type.core,
- org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.2.0",
- org.eclipse.ui.navigator;bundle-version="3.5.500"
-Export-Package: org.eclipse.papyrus.sysml.nattable.requirement.tests,
- org.eclipse.papyrus.sysml.nattable.requirement.tests.tests
-Bundle-Vendor: %providerName
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %pluginName
-Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.sysml.nattable.requirement.tests.Activator
-Bundle-Description: %pluginDescription
-Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.requirement.tests;singleton:=true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.junit,
+ org.eclipse.uml2.uml;bundle-version="4.1.0",
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
+ org.eclipse.emf.transaction,
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.nattable.requirement;bundle-version="1.2.0",
+ org.eclipse.papyrus.sysml.nattable.requirement.config;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.emf.core;bundle-version="1.7.0",
+ org.eclipse.gmf.runtime.emf.type.core,
+ org.eclipse.papyrus.sysml.service.types;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.extensionpoints;bundle-version="1.2.0",
+ org.eclipse.ui.navigator;bundle-version="3.5.500"
+Export-Package: org.eclipse.papyrus.sysml.nattable.requirement.tests,
+ org.eclipse.papyrus.sysml.nattable.requirement.tests.tests
+Bundle-Vendor: %providerName
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %pluginName
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.sysml.nattable.requirement.tests.Activator
+Bundle-Description: %pluginDescription
+Bundle-SymbolicName: org.eclipse.papyrus.sysml.nattable.requirement.tests;singleton:=true
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config.tests/META-INF/MANIFEST.MF
index 339167fb968..b3f947291f0 100644
--- a/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.clazz.config.tests/META-INF/MANIFEST.MF
@@ -1,41 +1,41 @@
-Manifest-Version: 1.0
-Require-Bundle: org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable.clazz.config;bundle-version="1.2.0",
- org.eclipse.uml2.uml;bundle-version="5.0.1",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.junit;bundle-version="4.11.0",
- org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.emf.transaction;bundle-version="1.8.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- ca.odell.glazedlists;bundle-version="1.9.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
- org.eclipse.ui.navigator,
- org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
- org.eclipse.ui.ide,
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.uml.nattable.clazz.config.tests,
- org.eclipse.papyrus.uml.nattable.clazz.config.tests.tests
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Localization: plugin
-Bundle-Name: %Bundle-Name
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.clazz.config.tests.Activator
-Bundle-ManifestVersion: 2
-Bundle-Description: %Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.clazz.config.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable.clazz.config;bundle-version="1.2.0",
+ org.eclipse.uml2.uml;bundle-version="5.0.1",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.junit;bundle-version="4.11.0",
+ org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.sasheditor;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.emf.transaction;bundle-version="1.8.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ ca.odell.glazedlists;bundle-version="1.9.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.tools;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.service.types;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0",
+ org.eclipse.ui.navigator,
+ org.eclipse.papyrus.views.modelexplorer;bundle-version="1.2.0",
+ org.eclipse.ui.ide,
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.papyrus.emf.facet.custom.metamodel;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.uml.nattable.clazz.config.tests,
+ org.eclipse.papyrus.uml.nattable.clazz.config.tests.tests
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Localization: plugin
+Bundle-Name: %Bundle-Name
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.clazz.config.tests.Activator
+Bundle-ManifestVersion: 2
+Bundle-Description: %Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.clazz.config.tests
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.generic.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.generic.tests/META-INF/MANIFEST.MF
index d01d1745d05..b3ff3ff177f 100755
--- a/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.generic.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.generic.tests/META-INF/MANIFEST.MF
@@ -1,36 +1,36 @@
-Manifest-Version: 1.0
-Require-Bundle: org.junit;bundle-version="4.11.0",
- org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
- org.eclipse.emf.ecore,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.uml2.uml,
- org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
- org.eclipse.gmf.runtime.diagram.ui,
- org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.2.0,
- 2.0.0)",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.emf.common,
- org.eclipse.papyrus.views.properties.model;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable.generic.config;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.uml.nattable.generic.tests.tests
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.generic.tests.Activator
-Bundle-Description: %Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.generic.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Manifest-Version: 1.0
+Require-Bundle: org.junit;bundle-version="4.11.0",
+ org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
+ org.eclipse.emf.ecore,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.papyrus.infra.widgets;bundle-version="1.2.0",
+ org.eclipse.gmf.runtime.diagram.ui,
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,
+ 2.0.0)",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.emf.common,
+ org.eclipse.papyrus.views.properties.model;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable.generic.config;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.services.edit;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.uml.nattable.generic.tests.tests
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.generic.tests.Activator
+Bundle-Description: %Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.generic.tests
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
diff --git a/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display.tests/META-INF/MANIFEST.MF b/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display.tests/META-INF/MANIFEST.MF
index cc2c3629448..9e7eece53bb 100644
--- a/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display.tests/META-INF/MANIFEST.MF
+++ b/tests/junit/plugins/uml/nattable/org.eclipse.papyrus.uml.nattable.stereotype.display.tests/META-INF/MANIFEST.MF
@@ -1,36 +1,36 @@
-Manifest-Version: 1.0
-Require-Bundle: org.junit;bundle-version="4.11.0",
- org.eclipse.ui,
- org.eclipse.core.runtime,
- org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.nattable.clazz.config.tests;bundle-version="1.2.0",
- org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
- org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
- org.eclipse.uml2.uml,
- org.eclipse.gmf.runtime.notation,
- org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
- org.eclipse.gef,
- org.eclipse.emf.transaction,
- org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
- org.eclipse.nebula.widgets.nattable.core;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.diagram.clazz;bundle-version="1.2.0",
- org.eclipse.core.expressions,
- org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
- org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
- org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0"
-Export-Package: org.eclipse.papyrus.uml.nattable.stereotype.display.tests.tests
-Bundle-Vendor: %Bundle-Vendor
-Bundle-ActivationPolicy: lazy
-Bundle-Version: 1.2.0.qualifier
-Bundle-Name: %Bundle-Name
-Bundle-Localization: plugin
-Bundle-ManifestVersion: 2
-Bundle-Activator: org.eclipse.papyrus.uml.nattable.stereotype.display.tests.Activator
-Bundle-Description: %Bundle-Description
-Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.stereotype.display.tests
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Manifest-Version: 1.0
+Require-Bundle: org.junit;bundle-version="4.11.0",
+ org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.papyrus.junit.utils;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.nattable.clazz.config.tests;bundle-version="1.2.0",
+ org.eclipse.papyrus.editor.integration.tests;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.core.log;bundle-version="1.2.0",
+ org.eclipse.papyrus.junit.framework;bundle-version="1.2.0",
+ org.eclipse.uml2.uml,
+ org.eclipse.gmf.runtime.notation,
+ org.eclipse.papyrus.infra.core;bundle-version="1.2.0",
+ org.eclipse.gef,
+ org.eclipse.emf.transaction,
+ org.eclipse.papyrus.infra.gmfdiag.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.gmfdiag.commands;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.nattable.model;bundle-version="1.2.0",
+ org.eclipse.nebula.widgets.nattable.core;bundle-version="[1.3.0,2.0.0)",
+ org.eclipse.papyrus.uml.diagram.clazz;bundle-version="1.2.0",
+ org.eclipse.core.expressions,
+ org.eclipse.papyrus.uml.diagram.common;bundle-version="1.2.0",
+ org.eclipse.papyrus.infra.emf;bundle-version="1.2.0",
+ org.eclipse.papyrus.uml.tools.utils;bundle-version="1.2.0"
+Export-Package: org.eclipse.papyrus.uml.nattable.stereotype.display.tests.tests
+Bundle-Vendor: %Bundle-Vendor
+Bundle-ActivationPolicy: lazy
+Bundle-Version: 1.2.0.qualifier
+Bundle-Name: %Bundle-Name
+Bundle-Localization: plugin
+Bundle-ManifestVersion: 2
+Bundle-Activator: org.eclipse.papyrus.uml.nattable.stereotype.display.tests.Activator
+Bundle-Description: %Bundle-Description
+Bundle-SymbolicName: org.eclipse.papyrus.uml.nattable.stereotype.display.tests
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7

Back to the top